label battle_forest:
    label .goblin_basic:
        python:
            import copy

        if renpy.random.randint(1,2) == 1:
            $ _enemy = copy.copy(mob_goblin_male_01)
            $ _i = standd6.roll()[0] + standd6.roll()[0]
            if _i == 12:
                $ _eq_right = copy.copy(item_big_stick)
                $ _eq_acc = None
            else:
                $ _eq_right = copy.copy(item_stick)
                $ _eq_acc = copy.copy(item_magic_collar)
                $ _enemy.sprite = "Male Goblin Collared"
        else:
            $ _enemy = copy.copy(mob_goblin_female_01)
            if _i == 12:
                $ _eq_right = copy.copy(item_big_stick)
                $ _eq_acc = None
            else:
                $ _eq_right = copy.copy(item_stick)
                $ _eq_acc = copy.copy(item_magic_collar)
                $ _enemy.sprite = "Female Goblin Collared"


        call scene_battle_setup pass (_en = _enemy,_con = chooseCondition(),_ambush = False,_eq_right = _eq_right,_eq_acc = _eq_acc) from _call_scene_battle_setup_3

    label .slime_basic:
        python:
            import copy

        if renpy.random.randint(1,4) == 1:
            # Mob(self, sprite, hp, libido, stamina, survival, combat, acumen, glamour,name,race,gender,hei,wei,base_attack,base_flirt,base_defense,base_resistance,
            # skill_1,skill_2,skill_3,skill_4,skill_5):

            $ _enemy = copy.copy(mob_slime_male_01)
        else:
            $ _enemy = copy.copy(mob_slime_female_01)

        call scene_battle_setup pass (_en = _enemy,_con = chooseCondition(),_ambush = False) from _call_scene_battle_setup_4

    label .werewolf_basic:
        python:
            import copy

        if renpy.random.randint(1,2) == 1:
            $ _enemy = copy.copy(mob_werewolf_male_01)
        else:
            $ _enemy = copy.copy(mob_werewolf_female_01)

        call scene_battle_setup pass (_en = _enemy,_con = chooseCondition(),_ambush = False) from _call_scene_battle_setup_11

    label .harpy_basic:
        python:
            import copy

        # Mob(self, sprite, hp, libido, stamina, survival, combat, acumen, glamour,name,race,gender,hei,wei,base_attack,base_flirt,base_defense,base_resistance,
        # skill_1,skill_2,skill_3,skill_4,skill_5):
        $ _enemy = copy.copy(mob_harpy_female_01) # Hostile("Harpy",5,4,2,3,6,6,4,"Harpy","Harpy","Female",36,40,[greenDice,blueDice],[purpleDice,purpleDice],[blackDice],[blackDice],store.skill_strike,store.skill_flirt,None,None,None,None,_c)
        $ _t = copy.copy(item_torn_shirt) # Armor(100002,"gui/items/tattered_shirt.jpg",0,"Torn Shirt","Description",False,"Chest",None,None,[grayDice],[whiteDice],[],0)
        $ _a = copy.copy(item_magic_collar) # Armor(100004,"gui/items/magic_collar.jpg",0,"Chastity Collar","Description",True,"Acc",None,None,None,[blackDice],[Buff.CURSE],0)

        call scene_battle_setup pass (_en = _enemy,_eq_acc = _a,_eq_torso = _t,_con = chooseCondition(),_ambush = False) from _call_scene_battle_setup_5

    label .nightstalker:
        $ _enemy = copy.copy(mob_shadow_beast)
        $ _enemy.addBuff("Continue",999,True)
        $ _enemy.addBuff("Aggro",999,True)
        $ store.last_scene = "scene_vacdes.introduction"

        call scene_battle_setup pass (_en = _enemy,_ambush = True) from _call_scene_battle_setup_6
