label scene_lyra:
    label .introduction:
        $ indoor()

        if relationship_lyra['location'] == 'bloody_lip':
            "You decide to approach the young wererat, you recall Squeeb mentioning her name was Lyra. She seems lost deep in thought, staring down at a knot in the table, transfixed on the spot. You get right up beside her and she doesn't seem to notice. Reaching out you knock on the table to get her attention. She shudders and jumps slightly as you pull her out of her trance."
        else:
            "You clear your throat audibly to get her attention, hoping to avoid startling her. She jump in spite of your efforts and turns to you surprised. You carefully walk towards her with a small wave."

        show lyra collared_idle with dissolve
        player "\"Oh sorry. I didn't mean to startle you.\""

        # hp > 75%
        if pc.hp >= pc.max_hp * .75:
            lyra "\"No, sorry. It's not a problem. I'm sorry. I was just lost in thought.\" She says stammering, clearly caught off guard. \"You, you were on the ship. I see your wounds have healed. That's a relief.\""
            lyra "\"I'm sorry I never properly introduced myself. I'm Lyra.\""
            player "\"You can call me [pc_name]. Thank you for treating my injuries before. Squeeb mentioned you'd helped me.\""
        else:
            lyra "\"No, sorry. It's not a problem. I'm sorry. I was lost in thought.\" She says stammering, clearly caught off guard. \"You, you were on the ship. Oh dear, you're injured again. Here let me help you.\" She says taking your hand in her own."
            lyra "\"Mother of life and protection, let my body be an instrument of your will. I humbly request your mercy upon this lost soul, let their life linger here a moment longer.\" Lyra begins to chant a small prayer. A soft light glows in her hands that warms your own. You feel it spread through your body quickly. You feel the pain and aches of your wounds begin to fade."
            $ pc.hp =  int(math.ceil(pc.max_hp * 0.75))
            lyra "\"You'll still need to rest, this healing can only do so much.\" She says with a worried look in her eyes."
            player "\"Thank you! This is the second time you've helped me. You have my gratitude.\""

        lyra "\"It's my duty as a servant of the gods to help those in need.\" She says with a small smile."
        player "\"It's a pleasure to meet you, though I wish it was under better circumstances.\""
        if relationship_lyra['location'] == 'bloody_lip':
            lyra "\"It's quite alright. I'm glad to have met you as well. I do hope that you will stay safe, though if you have need of healing please come to me anytime. I'll likely be here or at the church.\""
        else:
            lyra "\"It's quite alright. I'm glad to have met you as well. I do hope that you will stay safe, though if you have need of healing please come to me anytime. I'll likely be here or at the Bloody Lip.\""

        if  pc.equipment['Acc'].id_key != item_magic_collar.id_key and pc.equipment['Acc'].id_key != item_broken_collar.id_key and relationship_lyra['no_collar'] == False:
            $ relationship_lyra['no_collar'] = True
        $ relationship_lyra['met_lyra'] = True

        if relationship_lyra['location'] == 'bloody_lip':
            jump scene_bloody_lip.interior
        else:
            jump scene_cathedral.interior

    label .talk:
        show lyra collared_idle with dissolve
        $ indoor()
        if pc.equipment['Acc'].id_key != item_magic_collar.id_key and pc.equipment['Acc'].id_key != item_broken_collar.id_key and relationship_lyra['no_collar'] == False:
            if relationship_lyra['location'] == 'bloody_lip':
                "You walk up to Lyra, taking a seat across from her. She looks to you, lips curling slightly into a small smile."
            else:
                "You walk up to Lyra with a wave. She takes a deep breath, clearly a little winded from her work and turns to you."
            lyra "\"You've removed your collar I see.\" She says with surprise. \"How did you do such a thing? I was certain they could not be removed without Legion magic.\""

            if hero >= villain:
                player "\"I met with a sorcerer who removed it. They told me how to remove them, but the process is a little complicated.\" You explain honestly."
            else:
                player "\"I will not be chained by the Legion. I've learned to remove them though it's a complicated process.\""
            lyra "\"That's very impressive. The gods are surely watching over you. Perhaps you'll be the one to free us all from this place.\""
            $ relationship_lyra['no_collar'] = True

        elif relationship_lyra['location'] == 'bloody_lip':
            "You walk up to Lyra, taking a seat across from her. She looks to you, lips curling slightly into a small smile."
            lyra "\"Hello [pc_name]. It's a pleasure to see you again.\" She says wiping her brow with the back of her arm."
        else:
            "You walk up to Lyra with a wave. She takes a deep breath, clearly a little winded from her work and turns to you."
            lyra "\"Oh good morning [pc_name]. It's a pleasure to see you again.\" She says with a small smile."

        jump scene_lyra.conversation

    label .conversation:
        show lyra collared_idle with dissolve

        menu:
            lyra "\"How can I help you?\""
            "What brought you here?":
                jump scene_lyra.here
            "Can you treat my injuries?":
                jump scene_lyra.heal
            "What can you tell me about...":
                jump scene_lyra.information
            "Who is the temple dedicated to?" if relationship_lyra['temple'] < 10 and pc_trait['Speaker']:
                jump scene_lyra.temple_to_speaker
            "What do you plan to do now?" if not relationship_lyra['helped']:
                jump scene_lyra.temple
            "Don't go into the crypt." if relationship_crawler['lyra_panic'] and not relationship_lyra['crypt_warning']:
                jump scene_lyra.warning
            "See you later":
                lyra "\"Stay safe [pc_name]. Many blessings upon you.\" Lyra says with a small bow of her head."
                hide lyra with dissolve
                if relationship_lyra['location'] == 'bloody_lip':
                    jump scene_bloody_lip.interior
                else:
                    jump scene_cathedral.interior

    label .here:
        lyra "\"I like so many here am a prisoner of the legion. I was a healer at the temple of Sol when we were arrested.\" She explains solemnly. \"They say they discovered an idol to Lune hidden in the temple which went against the Legion's regulations.. We were all put on trial for worship of Lune. I don't know what happened to the other sisters but I was collared and sent here.\""
        jump scene_lyra.conversation

    label .heal:
        if pc.hp < pc.max_hp * .75:
            lyra "\"Of course. Let me take a look at your wounds.\" Lyra says calmly taking your hand. \"Mother of life and protection, let my body be an instrument of your will. I humbly request your mercy upon this lost soul, let their life linger here a moment longer.\" Lyra begins to chant a small prayer. A soft light glows in her hands that warms your own. You feel it spread through your body quickly. You feel the pain and aches of your wounds begin to fade."
            $ pc.hp =  int(math.floor(pc.max_hp * 0.75))
        else:
            lyra "\"Unfortunately my healing won't be able to help any further. I'm terribly sorry, all I can suggest is bed rest or a good meal.\" She says looking down sadly, her brow furrowed."
        jump scene_lyra.conversation

    label .information:
        $ input_string = renpy.input("What can you tell me about...",length = 20,exclude = ".?!")

        if not input_string:
            $ input_string = ""

        if input_string.lower() == "lune":
            lyra "\"Lune is the god of the moon and patron of the night. He is the god of beauty, sorrow and love. Many fear his worship bring tragedy but he's a kind and gentle god. He loves his followers and teaches compassion and sympathy. He rules over the elements of water and air.\""
        elif input_string.lower() == "sol":
            lyra "\"Sol is the god of the sun and patron of the day. She is a god of success, wealth and passion. She is known for a fiery personality. She provides healing and protection to those who respect her. However she is also feared for her wrath and temper. She rules over the elements of earth and fire.\""
        elif input_string.lower() == "wererat" or input_string.lower() == "wererats":
            lyra "\"\""
        elif input_string.lower() == "lycanthrope" or  input_string.lower() == "lycanthropes" or  input_string.lower() == "lycanthropy":
            lyra "\"\""
        else:
            lyra "\"Sorry I don't know anything about that.\""

        jump scene_lyra.conversation

    label .temple:
        lyra "\"I think it would be lovely to restore the church here. It would be a lot of work but I feel it would bring a lot of comfort to the people here.\" She explains with determination. \"I don't know where to begin however. Without assistance I won't be able to make much progress.\""
        menu:
            "Anyway I can help?":
                lyra "\"If you come across anyone with incredible strength I'd be very grateful if you could point them in my direction.\" Lyra explains. \"It'll take a lot of work, if you can find more then one the work will go even faster.\" She says with a smile in earnest appreciation. Though her tone betrays her lack of hope."
                $ relationship_lyra['looking_for_help'] = True
                jump scene_lyra.conversation
            "Good luck":
                lyra "\"Thank you.\" She says sadly."
                jump scene_lyra.conversation

    label .warning:
        $ relationship_lyra['crypt_warning'] = True
        lyra "\"Don't go into the crypt? Is there a problem?\" She asks curiously. \"I had no intention of disturbing the dead.\""
        menu:
            "Tell the Truth":
                player "\"There's a... friend. He lives down there but he's pretty shy and doesn't want people poking around his home.\" You explain as best you can. \"I don't think he'll cause any trouble, just best to avoid him for now.\""
                lyra "\"Thank you for letting me know. I'll be sure to avoid the crypts for now.\" She says with a smile, grateful for your concern. \"I do worry for your friend though. I certainly hope they're being respectful.\""
                player "\"I'm sure he is, I honestly don't see a better place for him then there.\""
                lyra "\"I see, I will trust your judgement then. Thank you for the advice [pc_name]\" She says with a smile."

            "Lie":
                player "\"You have no idea.” You mutter. “You can see the state of this place above ground. Just image how bad it is down there. It'd be very dangerous without proper equipment and even then it would probably be best to avoid it entirely.\""
                lyra "\"Thank you for letting me know. I'll be sure to avoid the crypts for now.\" She says with a smile, grateful for your concern."

            "I sensed a being of great power {b}occultist{/b}" if pc_trait['Occultist']:
                player "\"A long dormant spirit resides in the catacombs. I believe it to be harmless if left undisturbed. However should people enter there needlessly without proper protections it could awaken it.\""
                lyra "\"I see. I'm grateful to have someone so skilled and knowledgeable here to help keep this temple safe.\" She says with a smile. \"I'll be sure to avoid the catacombs for now.\""

        jump scene_lyra.conversation

    label .meet_dorzakk:
        "Light streams through the broken ceiling in bright beams that glint off the ruins of the church. Broken pews and the splintered remains of the roof litter the ground. A thick coating of grass and plant life has grown in thick knots across the battered remnants. A large bend brass bell sit half buried in the floorboards."
        "A broken balcony lines the main hall twenty feet above the main floor, while two doors flank the empty alter at the rear of the church. Near the alter you notice Lyra, her head bowed low in apology. Dorzakk towers over her menacingly. The two appear to be in the middle of a conversation."
        show lyra collared_idle at midleft with dissolve
        lyra "\"I apologize for my earlier behavior. It was unbecoming of me and unfair to you.\" Lyra says genuinely. Her eyes are clenched shut, as if she's expect some violent act. \"In spite of my words you came to my aid. I'm eternally grateful to you.\""
        show dorzakk collared_idle at midright with dissolve
        dorzakk "\"Eh?!\" The orc stammers out, taking a step back. He seems entirely caught off guard by the apology and Lyra's reverence. He stands there stunned for a few moments."
        lyra "The wererat slowly cracks open an eye, peering at the orc for a moment. \"Are you alright?\""
        dorzakk "\"I'm fine ya idiot.\" He finally grumbles out. He reaches a meaty hand up to his collar and tugs at it uncomfortably. He takes an uneasy breath. \"Let's just get this over with.\" He turns his head away from her, clearly put off by the situation."
        lyra "\"Of course.\" Lyra says raising her head slowly. \"Shall we start clearing the rubble. I have an area out front that should suffice for the debris.\""
        "The orc seems a little flustered, his face flush. He doesn't respond but immediately steps away gathering several large boards which he begins hauling out of the building."

        hide lyra with dissolve
        hide dorzakk with dissolve
        $ relationship_lyra['dorzakk_first_meeting'] = True
        jump scene_cathedral.interior

    label .meet_fenna:
        "Light streams through the broken ceiling in bright beams that glint off the ruins of the church. Broken pews and the splintered remains of the roof litter the ground. A thick coating of grass and plant life has grown in thick knots across the battered remnants. A large bend brass bell sit half buried in the floorboards."
        "A broken balcony lines the main hall twenty feet above the main floor, while two doors flank the empty alter at the rear of the church. Near the alter Fenna and Lyra stand seemingly in mid conversation. Though the conversation is likely entirely being maintained by Lyra as Fenna nods along. To your surprise Fenna seems to almost be smiling. Her mouth curled ever so slightly at the corners."
        show lyra collared_idle at midleft with dissolve
        lyra "\"Thank you so much for coming to assist me. I know it must have been difficult to leave.\" She bows her head low in appreciation. \"You have my deepest gratitude Fenna.\""
        show fenna collared_idle at midright with dissolve
        fenna "She gives a small nod. \"Happy to help.\" She finally says, almost sheepishly."
        lyra "She reach out, taking Fenna's hands in her own. \"I am truly in your debt Fenna.\" Her eyes sparkle, slightly watering."
        fenna "Fenna gives the firmest nod you've seen of her. \"My pleasure.\" She says quietly. \"Shall I get started.\""
        lyra "\"Yes {i}we{/i} should.\" She says with a toothy smile, wiping away the dampness around her eyes. \"We should start by clearing all this debris. I've set up a spot near the front.\""
        fenna "\"Understood. I'll place salvageable material to the side.\" Fenna says softly as she begins to gather materials and debris."
        lyra "\"Wonderful!\""

        hide lyra with dissolve
        hide fenna with dissolve
        $ relationship_lyra['fenna_first_meeting'] = True
        jump scene_cathedral.interior

    label .temple_to_speaker:
        player "\"Most of the idols seem to have been taken or are damaged beyond recognition. Do you plan to dedicate this to Sol or possibly Lune?\""
        lyra "\"I was planning to leave that to the people of Vergesseneburg. I grew up following Sol, but given my affliction I also appreciate and respect Lune's blessings. The superstitions surrounding Lune I believe are largely a fabrication of the Legion, but I don't wish to cause any tension here.\" Lyra explains carefully. It's clear she feels torn on the subject."
        if pc.sign == star.chalice or pc.sign == star.sword:
            player "\"I personally feel a strong connection with Lune and the night. Superstition or not, I believe in the beauty he brings to the world. I believe the lives here could use his kindness.\" You explain softly."
        else:
            player "\"I personally feel a strong connection with Sol and the day. I believe passion and success are what the town need right now. Her protection would be a fine addition to this town.\" You say firmly."
        lyra "\"I think you're right. That is exactly what is needed here.\" She says with a large smile. \"I'll be sure to pursue this further. Once I find someone to assist me.\""
        jump scene_lyra.conversation
