﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

# Define is a constant
# Default sets on new game or if the variable isn't already defined

# define e = Character("Eileen")

init offset = 1

define _history = False

hide quick_menu()

# Calender keeps track of the current date
# Stored as Year, Month, Day, Hour, Minute
default calendar = [952,1,1,18,00]
# Seminandum, Crescente, Messis, Levisomnus
# 0 = any month

# Weather contains an int 1 = clear, 2 = rain, 3 = storm
# 0 = any weather
default weather = 1

# Standard Dice
define standd6 = d6(None,"d6",1,False,2,False,3,False,4,False,5,False,6,False)

default inventory = []
default storage = []
default sellInventory = []
default buyInventory = []
default shopInventory = []
default accessInventory = True
default accessMap = False
# Enemy inventory holds 5 slots for items equipped to the enemy
# 0 Acc, 1 Chest, 2 Legs, 3 Right Hand, 4 Left Hand
default enemyInventory = []
default selected_item = None
default selected_buy = None
default remove_item = 0
default selected_amount = 0
default pc = Mob(50,50,2,40,40,40,40,"Player","Human","Male",star.sword)
default pc_name = pc.get_name() # pc.profile["Name"]
default pc_appearance = {
"Height" : 69,
"Overheight" : 0,
"Weight" : 170,
"Overweight" : 0,
"Chest" : 0,
"Cock" : False,
"Cock Type" : "Human", # "Human", "Canine", "Equine"
"Cock Length" : 0,
"Sheath" : "None", # "None", "Sheath", "Slit"
"Balls" : False,
"Ballsize" : 0,
"Vagina" : False,
"Gender" : "Male", # Physical gender
"Legs" : "Human", # "Human", "Furred Plantigrade", "Reptile Plantigrade", "Furred Digitigrade", "Reptile Digitigrade" "Equine"
"Arms" : "Human", # "Human", "Furred", "Reptile"
"Torso" : "Human", # "Human", "Furred", "Reptile"
"Face" : "Human", # "Human", "Orc, "Kobold, "Goblin", "Canine", "Feline", "Reptile", "Equine", "Bovine", "Rodent"
"Tail" : "None", # "None", "Canine", "Feline", "Reptile", "Equine", "Bovine"
"Skin Color" : "Beige",
"Fur Color" : "Black",
"Scale Color" : "Red",
"Horns" : "None",
"Ears" : "Human", # "Human", "Rodent", "Canine", "Feline", "Bovine", "Equine", "Reptile"
"Nose" : "Human", # "Human", "Rodent", "Canine", "Feline", "Bovine", "Equine", "Reptile"
"Tusks" : True,
"Claws" : True,
"Fangs" : True
}
default pc_trait = {
# Profession
"Bard" : False,     # # A storyteller and master of the silver tongue
"Occultist" : False,## # A master of the arcane and scholar of the occult
"Knight" : False,   ## # A knight with a strong code and master of the blade
"Speaker" : False,  ## # A priest who has heard the word of the gods
# Personality
"Romantic" : False, # # You are a hopeless romantic and social butterfly who can charm the toughest of personalities
"Confident" : False,# # You are proud and confident in yourself and your action which earns you respect
"Witty" : False,    # # You are witty and dry with those around you which they may find charming
"Tough" : False     ## # You have a firm but fair attitude and can break through some of the toughest personalities
# Misc
}


default hero = 0 # Paragon Rating. Unlocks unique dialogue during certain situations
default villain = 0 # Renegade Rating. Unlocks unique dialogue during certain situations

# 0 = Falsely Accused, 1 = Resistance Fighter, 2 = Thief
default pc_crime = 0
define player = Character("pc_name", dynamic = True)
default enemy = None

default last_scene = None
default last_checkpoint = "scene_vacdes.introduction"

## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##
## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##
## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##

# Define Skills (self,img,name,description,funct,stam,initiative,type,accuracy):
## GENERAL SKILLS
define skill_struggle = Skill("gui/button/strike","Struggle",
"Unable to act",struggle,0,50,"Physical",star.sword,95,20)
define skill_rest = Skill("gui/button/strike",
"Rest","Resting recovers 1 or 2 stamina.",rest,0,100,"Other",star.sword,0,0)
define skill_flee = Skill("gui/button/strike",
"Flee","Attempt to flee.",flee,0,100,"Other",star.sword,0,0)
define skill_submit = Skill("gui/button/strike",
"Submit","The mob submits.",submit,0,1,"Other",star.sword,0,0)

## SIGN OF THE CROWN
## COMBAT SKILLS
define skill_strike = Skill("gui/button/strike","Strike",
"You make a heavy swing against .",strike,0,50,"Physical",star.crown,95,20)
define skill_smash = Skill("gui/button/smash","Smash",
"You slam into your opponent with a weapon or your fists.",smash,1,30,"Physical",star.crown,85,35)
define skill_gore = Skill("gui/button/gore","Goring Rush",
"You lunge forward at full force striking your opponent for massive damage. This attack deals recoil damage.",gore,1,70,"Physical",star.crown,75,40)
define skill_bite = Skill("gui/button/bite","Bite",
"You bite at the enemy with fangs or tusks. This attack restores HP equal to half the damage dealt.",bite,2,48,"Physical",star.crown,95,40)

## SIGN OF THE SWORD
## SURVIVAL SKILLS
define skill_stab = Skill("gui/button/thrust","Stab",
"You make a straight strike at your opponent with a weapon or your fists.",strike,0,50,"Physical",star.sword,95,20)
define skill_lob_potion = Skill("gui/button/bomb","Lob Potion",
"You launch a vial of chemicals at your opponent. The chemicals apply a random status condition or deal damage.",lob_potion,1,32,"Special",star.sword,95,35)

# INCOMPLETE
define skill_pierce = Skill("gui/button/thrust","Pierce",
"You make a swift strike forward, this attack bypasses some of the enemy's armor when wielding a piercing weapon.",pierce,1,64,"Physical",star.sword,95,30)
# define skill_seduce = Skill("gui/button/rose","Seduce",
# "You attempt to seduce your opponent using your body and charms.",seduce,1,"Lust",star.sword,85)

## SIGN OF THE CHALICE
## GLAMOUR SKILLS
define skill_flirt = Skill("gui/button/flirt","Flirt",
"Attempt to pacify the enemy with your charm or whatever items you're holding.",flirt,0,73,"Lust",star.chalice,95,25)
define skill_siren_song = Skill("gui/button/rose","Siren Song",
"You sing a beautiful and baffling melody that charms the enemy.",siren_song,1,45,"Lust",star.chalice,85,0)
define skill_cute_charm = Skill("gui/button/rose","Cute Charm",
"You attempt to beguile your opponent and enchant them with your charms.",cute_charm,0,20,"Lust",star.chalice,95,25)
define skill_sweet_kiss = Skill("gui/button/kiss","Sweet Kiss",
"A charming kiss that deals a small amount of damage and increases libido.",sweet_kiss,1,82,"Lust",star.chalice,95,25)

## SIGN OF THE WAND
## ACUMEN SKILLS
define skill_dark_whisper = Skill("gui/button/whisper","Dark Whisper",
"You attempt to sow seeds of despair into your opponent.",dark_whisper,0,50,"Physical",star.wand,95,25)
define skill_poison_spray = Skill("gui/button/toxic","Poison Spray",
"You launch a puff of poison at the enemy.",poison_spray,1,55,"Physical",star.wand,95,20)
define skill_frostbolt = Skill("gui/button/ice","Frost Bolt",
"You launch a small magically created icicle at your enemy.",frostbolt,1,60,"Physical",star.wand,95,20)
define skill_inferno = Skill("gui/button/inferno","Inferno",
"You conjure magical flames which engulf your opponent.",inferno,2,35,"Physical",star.wand,95,40)

default pc_skills = []

# power word skills are used for narrative moments only and should not be accessable to the player or regular creatures
define skill_pw_kill = Skill("gui/button/strike","Power Word Kill",
"Instantly defeats the target",pw_kill,0,1,star.crown,"Physical")

## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##
## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##
## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##

# Hostile(self, sprite, hp, libido, stamina, combat, survival, acumen, glamour, level, name, race, gender,sk_1,sk_2,sk_3,sk_4,sk_5,sk_6,condition,ending)
##  GOBLINS
default mob_goblin_male_01 = Hostile("Male Goblin Collared",38,50,2,35,38,40,38,1,"Goblin","Goblin","Male",star.wand,skill_stab,skill_flirt,None,None,None,None,"","goblin_battle")
default mob_goblin_female_01 = Hostile("Female Goblin Collared",38,50,2,35,38,40,38,1,"Goblin","Goblin","Female",star.wand,skill_stab,skill_flirt,None,None,None,None,"","goblin_battle")
default mob_goblin_male_02 = Hostile("Male Goblin",48,40,2,35,40,38,36,1,"Goblin","Goblin","Male",star.wand,skill_stab,skill_flirt,None,None,None,None,"","goblin_battle")
default mob_goblin_female_02 = Hostile("Female Goblin",48,40,2,35,40,38,36,1,"Goblin","Goblin","Female",star.wand,skill_stab,skill_flirt,None,None,None,None,"","goblin_battle")
## SIREN
default mob_siren_male_01 = Hostile("Male Siren",68,45,2,43,36,36,48,2,"Siren","Siren","Male",star.chalice,skill_strike,skill_flirt,skill_siren_song,None,None,None,"","siren_battle")
default mob_siren_female_01 = Hostile("Female Siren",68,45,2,43,36,36,48,2,"Siren","Siren","Female",star.chalice,skill_strike,skill_flirt,skill_siren_song,None,None,None,"","siren_battle")
## SIREN
default mob_werewolf_male_01 = Hostile("Male Werewolf",92,50,2,54,50,42,48,3,"Werewolf","Werewolf","Male",star.sword,skill_strike,skill_flirt,skill_smash,skill_bite,None,None,"","werewolf_battle")
default mob_werewolf_female_01 = Hostile("Female Werewolf",92,50,2,54,50,42,48,3,"Werewolf","Werewolf","Female",star.sword,skill_strike,skill_flirt,skill_smash,skill_bite,None,None,"","werewolf_battle")
##  SLIME
default mob_slime_male_01 = Hostile("Male Slime",52,45,2,38,42,38,38,2,"Blue Slime","Slime","Male",star.sword,skill_strike,skill_flirt,None,None,None,None,"","slime_battle")
default mob_slime_female_01 = Hostile("Female Slime",52,45,2,38,42,38,38,2,"Red Slime","Slime","Female",star.sword,skill_strike,skill_flirt,None,None,None,None,"","slime_battle")
##  HARPY
default mob_harpy_male_01 = Hostile("Harpy",50,60,2,38,50,38,45,3,"Harpy","Harpy","Male",star.sword,skill_strike,skill_flirt,None,None,None,None,"","harpy_battle")
default mob_harpy_female_01 = Hostile("Harpy",50,60,2,38,50,38,45,3,"Harpy","Harpy","Female",star.sword,skill_strike,skill_flirt,None,None,None,None,"","harpy_battle")
## WOLVES
default mob_wolf_pack_01 =  Hostile("Wolf Pack",60,100,2,54,54,42,38,3,"Wolves","Wolf","--",star.sword,skill_strike,None,None,None,None,None,"","wolves_battle")
## BEAST
default mob_shadow_beast = Hostile("Shadow Beast",999,999,4,999,999,999,999,99,"Beast","Creature","Male",star.sword,skill_pw_kill,None,None,None,None,None,"","tutorial_battle")

## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##
## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##
## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##

# General Items
# id_key 1xxxxx
# Item(self,id_key,img,val,xp,name,desc,amount,1,99)
default item_trash = InventoryItem(100001,"gui/items/trash.jpg",0,1,"Trash","Description",16)
default item_vial = InventoryItem(100002,"gui/items/default.jpg",1,0,"Vial","Description",16)
default item_gold = InventoryItem(100003,"gui/items/gold.jpg",1,1,"Gold","Gold coins from the elven empire, they have little value on Alcatraz except to unique individuals",16)
default item_squeeb_mead = InventoryItem(100004,"gui/items/barrel.jpg",0,0,"Special Mead","A barrel of mead for Lucia of Vergesseneburg",1,vii = True)
default item_squeeb_letter = InventoryItem(100005,"gui/items/letter.jpg",0,0,"Letter of Recommendation","A letter of introduction for Lucia of Vergesseneburg",1,vii = True)
default item_squeeb_supplies = InventoryItem(100006,"gui/items/crate.jpg",0,0,"Supplies for Squeeb","A package of supplies for Squeeb at the Last Drop. The package is quite heavy and has a lipstick mark on the exterior",1,vii = True)
default item_leather_scrap = InventoryItem(100007,"gui/items/default.jpg",2,2,"Leather Scrap","A piece of leather scrap harvested from some large creature.",16)
default item_werewolf_fur = InventoryItem(100008,"gui/items/fur.jpg",4,6,"Werewolf Fur","A bundle of coarse fur that may be of use to a craftsman.",16)
default item_loot = InventoryItem(100009,"gui/items/crate.jpg",3,0,"Loot","A collection of general materials with little use but will work well for bartering.",16)
default item_nails = InventoryItem(100010,"gui/items/nails.jpg",3,1,"Nails","A collection of rough iron nails.",16)
default item_goblin_sample = InventoryItem(100011,"gui/items/sample.jpg",1,1,"Goblinoid Samples","Some genetic material collected from a goblinoid. Don't ask how you got it.",16)
default item_xp_page_I = InventoryItem(100012,"gui/items/page_old.jpg",0,8,"Mysterious Page (I)","This heavily damaged piece of parchment hums with strange energy. Arcane runes are etched in dark ink across the stained page.",16)
default item_xp_page_II = InventoryItem(100013,"gui/items/page_old.jpg",0,16,"Mysterious Page (II)","This heavily damaged piece of parchment hums with strange energy. Arcane runes are etched in dark ink across the stained page.",16)
default item_xp_page_III = InventoryItem(100014,"gui/items/page_old.jpg",0,32,"Mysterious Page (III)","This heavily damaged piece of parchment hums with strange energy. Arcane runes are etched in dark ink across the stained page.",16)
default item_xp_page_IV = InventoryItem(100015,"gui/items/page_old.jpg",0,64,"Mysterious Page (IV)","This heavily damaged piece of parchment hums with strange energy. Arcane runes are etched in dark ink across the stained page.",16)
default item_xp_page_V = InventoryItem(100016,"gui/items/page_old.jpg",0,128,"Mysterious Page (V)","This heavily damaged piece of parchment hums with strange energy. Arcane runes are etched in dark ink across the stained page.",16)
default item_key_21 = InventoryItem(100017,"gui/items/bloody_lip_key.jpg",12,0,"Room Key 21","A large brass key for room 21 of the Bloody Lip.",1,vii = True)
default item_key_22 = InventoryItem(100018,"gui/items/bloody_lip_key.jpg",12,0,"Room Key 22","A large brass key for room 22 of the Bloody Lip.",1,vii = True)
default item_key_23 = InventoryItem(100019,"gui/items/bloody_lip_key.jpg",12,0,"Room Key 23","A large brass key for room 23 of the Bloody Lip.",1,vii = True)
default item_key_24 = InventoryItem(100020,"gui/items/bloody_lip_key.jpg",12,0,"Room Key 24","A large brass key for room 24 of the Bloody Lip.",1,vii = True)
default item_key_25 = InventoryItem(100021,"gui/items/bloody_lip_key.jpg",12,0,"Room Key 25","A large brass key for room 25 of the Bloody Lip.",1,vii = True)
default item_key_26 = InventoryItem(100022,"gui/items/bloody_lip_key.jpg",12,0,"Room Key 26","A large brass key for room 26 of the Bloody Lip.",1,vii = True)
# Armors and Equipment
# id_key 2xxxxx
# Armor(self,id_key,img,val,xp,name,desc,locked,amount,slot,combat_att,survival_att,acumen_att,glamour_att,combat_def,survival_def,acumen_def,glamour_def,boon,tier)
default item_headband = Armor(200001,"gui/items/default.jpg",0,0,"Headband","A tattered old headband",False,"Head",0,0,0,0,0,1,0,0,[],0)
default item_torn_shirt = Armor(200002,"gui/items/tattered_shirt.jpg",0,0,"Torn Shirt","A heavily tattered shirt that barely holds together.",False,"Chest",0,0,0,0,1,1,0,0,[],0)
default item_torn_shorts = Armor(200003,"gui/items/tattered_pants.jpg",0,0,"Torn Shorts","A pair of ripped and tattered pants.",False,"Legs",0,0,0,0,0,1,0,1,[],0)
default item_magic_collar = Armor(200004,"gui/items/magic_collar.jpg",0,0,"Chastity Collar","A heavy metal collar the bites into your neck. You can't seem to remove it.",True,"Acc",0,0,0,0,0,0,0,4,["Curse"],0)
default item_scrap_shirt = Armor(200005,"gui/items/tattered_shirt.jpg",3,0,"Scrap Shirt","A simple shirt made of scrap cloth and leather.",False,"Chest",0,0,0,0,2,0,0,0,[],0)
default item_scrap_pants = Armor(200006,"gui/items/tattered_pants.jpg",3,0,"Scrap Pants","A pair of pants made of scrap cloth stitched together.",False,"Legs",0,0,0,0,0,0,0,2,[],0)
default item_broken_collar = Armor(200007,"gui/items/magic_collar.jpg",0,0,"Broken Collar","A heavy metal collar the bites into your neck. The curse is removed so it should be safe to wear.",False,"Acc",0,0,0,0,0,0,0,4,[],0)
# Weapons and Shields
# id_key 3xxxxx
# Weapon(self,id_key,img,val,xp,name,desc,locked,slot,combat_att,survival_att,acumen_att,glamour_att,combat_def,survival_def,acumen_def,glamour_def,type,tier,heavy,pierce,reach)
default item_stick = Weapon(300001,"gui/items/stick.jpg",1,1,"Stick","A small stick that should function as a club in a pinch.",False,'Right',1,0,0,0,0,0,0,0,Weapon_Type.MISC,0)
default item_plank_shield = Weapon(300002,"gui/items/old_shield.jpg",0,0,"Plank Shield","A few scrap boards tied together with rope and simple nails.",False,'Left',0,0,0,0,1,1,0,0,Weapon_Type.SHIELD,0)
default item_big_stick = Weapon(300003,"gui/items/big_stick.jpg",2,2,"Big Stick","A large branch that should function as a heavy club in a pinch.",False,'Both',2,0,0,0,0,0,0,0,Weapon_Type.STAFF,0,heavy = True)
default item_basic_spear = Weapon(300004,"gui/items/old_spear.jpg",5,4,"Primitive Spear","A simple spear made with a sharp stone tip.",False,'Right',1,3,0,0,2,0,0,0,Weapon_Type.STAFF,0,pierce = True)
default item_basic_dagger = Weapon(300005,"gui/items/old_knife.jpg",5,4,"Simple Dagger","A well worn dagger with signs of use but the blade is still sharp.",False,'Right',3,1,0,0,0,2,0,0,Weapon_Type.SWORD,0,pierce = True)
default item_squeebs_knife = Weapon(300006,"gui/items/squeeb_knife.jpg",6,5,"Squeeb's Knife","An old blade with a sharp edge. It was given to you by Squeeb.",False,'Right',3,5,0,0,1,0,0,0,Weapon_Type.SWORD,0)
default item_fennas_hammer = Weapon(300006,"gui/items/fenna_hammer.jpg",6,5,"Fenna's Hammer","A large hammer, dingey and dented. I once belonged to Fenna.",False,'Both',10,-2,0,0,0,-2,0,0,Weapon_Type.STAFF,0)
# Ingredients
# id_key 4xxxxx
# Ingredient(self,id_key,img,val,xp,name,desc,max_amount,hp_gain,hp_damage,libido_gain,libido_damage,buff_1,buff_2)
default item_wildberry = Ingredient(400001,"gui/items/wildberry.jpg",0,0,"Wildberry","A bundle of round red and purple berries. They have sweet taste but do little else on their own.",16,None,None,None,None,None,None)
default item_redroot = Ingredient(400002,"gui/items/redroot.jpg",0,0,"Red Root","A thick gnarled root with a vibrant red color.",16,None,[0,4],None,None,None,None)
default item_honey = Ingredient(400003,"gui/items/default.jpg",2,2,"Honey","Description",16,[0,4],None,None,None,None,None)
default item_black_powder = Ingredient(400004,"gui/items/gunpowder.jpg",1,1,"Black Powder","A small brown pouch containing a blackish powder that smells strongly.",16,None,None,None,None,None,None)
default item_green_ivy = Ingredient(400005,"gui/items/default.jpg",2,2,"Green Ivy","A cluster of strong smelling leaves that could be brewed into a tea or potion.",16,None,None,None,None,None,None)
default item_shell = Ingredient(400006,"gui/items/shells.jpg",1,0,"Sea Shell","The small chipped shell of an aquatic creature.",16,None,None,None,None,None,None)
default item_scale = Ingredient(400007,"gui/items/default.jpg",2,2,"Scale","A few scales from some reptilian or aquatic creature.",16,None,None,None,None,None,None)
default item_red_flower = Ingredient(400008,"gui/items/poppy.jpg",2,0,"Poppy","A small red flower.",16,None,None,None,None,None,None)
default item_rock_salt = Ingredient(400009,"gui/items/default.jpg",1,1,"Rock Salt","A small pouch of salt chunks and particles.",16,None,None,None,None,None,None)
# Consumables
# id_key 5xxxxx
# Consumable(self,id_key,img,val,xp,name,desc,amount,max_amount,hp_gain,hp_damage,libido_gain,libido_damage,buff_1,tier_1,dur_1,buff_2,tier_2,dur_2,buff_3,tier_3,dur_3)
default item_apple = Consumable(500001,"gui/items/apple.jpg",1,1,"Apple","Description",16,[1,2],None,None,None,None,1,0,None,1,0,None,1,0)
default item_ale = Consumable(500002,"gui/items/legion_ale.jpg",3,1,"Legion Ale","Ale produced by the legion. It must've been stolen from one of the forts.",16,None,None,[1,5],None,None,1,0,None,1,0,None,1,0)
default item_venison = Consumable(500003,"gui/items/default.jpg",1,1,"Raw Venison","Raw deer meat, edible in a pinch but not recommended",16,[2,4],[0,10],None,None,None,1,0,None,1,0,None,1,0)
default item_cooked_venison = Consumable(500004,"gui/items/default.jpg",0,0,"Grilled Venison","Deer meat grilled over a fire. Will recover 5 hit points",16,[5,5],None,None,None,None,1,0,None,1,0,None,1,0)
default item_potion_basic = Consumable(500005,"gui/items/potion_flask_purple.jpg",3,2,"Health Potion","A basic health potion. Will recover 15 to 30 hit points when consumed.",16,[15,30],None,None,None,None,1,0,None,1,0,None,1,0)
default item_potion_mutation = Consumable(500006,"gui/items/potion_skull_purple.jpg",3,2,"Health Potion","A basic health potion. Will recover 15 to 30 hit points when consumed.",16,None,None,[5,10],None,"Mutate wolf",1,0,None,1,0,None,1,0)
default item_mead = Consumable(500007,"gui/items/mead.jpg",1,1,"Mead","A honey mead with a sharp flavor.",16,[1,4],None,None,[1,4],None,1,0,None,1,0,None,1,0)
default item_wine = Consumable(500008,"gui/items/wine.jpg",1,1,"Wine","A simple glass of well aged wine.",16,[1,4],None,[1,4],None,None,1,0,None,1,0,None,1,0)
# Skill Books
# id_key 6xxxxx
# Book (self,id_key,img,val,xp,name,desc,max_amount,skill,vii = False)
define book_frostbolt = Book(600001,"gui/items/skill_book_fire.jpg",10,5,"Frostbolt","An ancient tome filled with arcane secrets. Reading this tome will bestow knowledge of the frostbolt spell.",1,skill_frostbolt)
define book_poison_spray = Book(600002,"gui/items/skill_book_fire.jpg",10,5,"Poison Spray","An old book, it's pages faded and worn. Reading this tome will bestow knowledge of the poison spray spell.",1,skill_poison_spray)
define book_lob_potion = Book(600003,"gui/items/skill_book_earth.jpg",10,5,"Lob Potion","A new book with crisp pages. They detail local plants and materials for on the road potion making.",1,skill_lob_potion)

default consumable_text = []
default consumable_text_point = 0

## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##
## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##
## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##

default buffs = {
# [Sprite,description,long description,]
"Aphrodisiac" : ["gui/dice/white_dice.png","",""],
"Regenerate" : ["gui/dice/white_dice.png","",""],
"Healthy" : ["gui/dice/white_dice.png","",""],
"Sturdy" : ["gui/dice/white_dice.png","",""],
"Poison" : ["gui/buff/poison.jpg","",""], # A poisoned character takes 1/16th damage at the end of their turn
"Curse" : ["gui/buff/curse.jpg","",""],
"Charmed" : ["gui/buff/lusty.jpg","",""], # Charmed characters have a chance of not performing a physical attack. Rage removes charm
"Aggro" : ["gui/dice/white_dice.png","",""], # Won't Submit
"Continue" : ["gui/dice/white_dice.png","",""], # Won't Flee
"Melancholy" : ["gui/buff/melancholy.jpg","",""], # If lust is pushed below 0. All stat take a 20% reduction, they deal 20% less damage.
"Lusty" : ["gui/buff/lusty.jpg","",""], # If lust is pushed above max. All stats take a 20% reduction, they take 20% more damage.
"Wet" : ["gui/buff/wet.jpg","",""], # Wet characters are more vulnerable to cold damage and lightning damage but resist fire damage,
"Hot" : ["gui/dice/white_dice.png","",""], # Hot characters are more vulnerable to fire damage but resist cold
"Wounded" : ["gui/dice/wound.jpg","",""], # Wounded reduces max HP by 1/3rd
"Rage" : ["gui/dice/rage.jpg","",""], # Raging characters deal increased physical damage and are more likely do perform physical attacks. Rage removes charm
"Slow" : ["gui/dice/white_dice.png","",""], # Reduces initiative by 10
"Fast" : ["gui/dice/white_dice.png","",""], # Increases initiative by 10
"--" : ["gui/dice/white_dice.png","",""]
}

## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##
## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##
## -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- ##

define nar = Character("")
define unknown_person = Character("?")
define squeeb = Character("Squeeb")
define fenna = Character("Fenna")
define agatha = Character("Agatha")
define mickey = Character("Mickey")
define dorzakk = Character("Dorzakk")
define lyra = Character("Lyra")
define lucia = Character("Lucia")
define crawler = Character("Crawler")
define morty = Character("Morty")

# Combat Variables
default player_turn = True
default turn_start = True
default player_action_menu = True # False if inventory is active
default player_action = -1
default enemy_action = -1
default turn_order = 0
default selected_skill = None
default hit = 0
default crit = 0
default miss = 0
default spr = []
default combat_history = []
default turn_count = 1
default flee_succeed = False
default mob_flee = False
default mob_submit = False

image enemy_healthy_chaste = "goblin nude.png"
image enemy_healthy_lusty = "goblin nude.png"
image enemy_hurt_chaste = "goblin nude.png"
image enemy_hurt_lusty = "goblin nude.png"

default battle_end = ""

# Define Backgrounds
image bg basic = "gui/rooms/bg room.jpg"
image bg worldmap = "gui/rooms/worldmap.jpg"
image bg forest_day = "gui/rooms/forest day.jpg"
image bg forest_night = "gui/rooms/forest night.jpg"

# Define Location
default map_point = 0
default selected_locale = None

default locations = []
default roads = []

default set_ui = "map"

default pref_gender = "both"

# NPC Images
image squeeb collared_idle = "Squeeb idle.png"
image fenna collared_idle = "Fenna idle.png"
image mickey collared_idle = "Mickey idle.png"
image agatha collared_idle = "Agatha idle.png"
image dorzakk collared_idle = "Dorzakk idle.png"
image crawler clothed_idle = "Crawler idle.png"
image lyra collared_idle = "Lyra idle.png"
image morty nude_idle = "Morty idle.png"

# NPC POINTS
default relationship_squeeb = {
"met_squeeb" : False,
"thanked_for_saving" : False,
"location" : "last_drop_interior",
"score" : 0,
"no_collar" : False
}
default squeeb_quest = {
"quest" : 0,   # 0 = Not started, 1 = Started, 2 = Complete
"quest_phase" : 0
}

default relationship_fenna = {
"met_fenna" : False,
"score" : 0,
"helping_lyra" : False,
"need_replacement" : False,
"help_lyra_keys" : False,
"location" : "last_drop_exterior",
"no_collar" : False
}
default fenna_quest = {
"quest" : 0,   # 0 = Not started, 1 = Started, 2 = Complete
"quest_phase" : 0
}

default relationship_vacdes = {
"met_vacdes" : False,
"what_is" : False,
"get_here" : False,
"leave" : False,
"trinket" : False,
"dreaming" : False,
"first_meeting" : False,
"score" : 0
}

default relationship_lucia = {
"met_lucia" : False,
"score" : 0,
"location" : "coffin"
}

default relationship_mickey = {
"met_mickey" : False,
"repaired" : False,
"score" : 0
}
default mickeyInventory = []


default relationship_dorzakk = {
"met_dorzakk" : False,
"injured" : True,
"location" : "last_drop_interior",
"helping_lyra" : False,
"help_lyra_keys" : False,
"working_for_squeeb" : False,
"help_lyra_count" : 0,
"score" : 0,
"no_collar" : False
}

default dorzakk_quest = {
"quest" : 0,   # 0 = Not started, 1 = Started, 2 = Complete
"quest_phase" : 0
}

default dorzakkInventory = []

default relationship_agatha = {
"met_agatha" : False,
"no_collar" : False,
"location" : "shop"
}

default agatha_quest = {
"quest" : 0,
"quest_phase" : 0,
"no_collar" : False
}

default agathaInventory = []

default relationship_lyra = {
"met_lyra" : False,
"temple" : 0,
"score" : 0,
"location" : "bloody_lip",
"looking_for_help" : False,
"helped" : False,
'crypt_warning' : False,
"no_collar" : False,
"dorzakk_first_meeting" : False,
"fenna_first_meeting" : False
}

default lyra_quest = {
"quest" : 0,
"quest_phase" : 0
}

default relationship_morty = {
"met_morty" : False,
"score" : 0,
"location" : "bloody_lip"
}

default morty_quest = {
"quest" : 0,
"quest_phase" : 0
}

default bloody_lip = {
"room_21" : "",
"room_22" : "",
"room_23" : "occupied",
"room_24" : "occupied",
"room_25" : "",
"room_26" : "lyra"
}

default mortyInventory = []

default relationship_crawler = {
"met_crawler" : False,
"score" : 0,
"exploring" : 0,
"lyra_panic" : False,
"alchemy_book" : False
}

default crawler_quest = {
"quest" : 0,
"quest_phase" : 0
}

default crawlerInventory = []

# FACTION POINTS
default faction_score = {
"goblins" : 0,
"sirens" : 0,
"orcs" : 0,
"slimes" : 0,
"harpies" : 0,
"wolves" : 0
}
default input_string = ""

# POSITIONS
define midleft = Position(xpos = 0.35)
define midright = Position(xpos = 0.65)

# The game starts here.

label splashscreen:
    scene black
    show text "The following game contains adult content not intended for minors."

# -------------------------------------------------------------------------------------------------------- #
# ------------------------------------ UPDATE MOB STUFFS ------------------------------------------------- #
# -------------------------------------------------------------------------------------------------------- #

    menu:
        "I am 18+":
            return
        "I am not 18+":
            $ renpy.quit()

label start:
    $ _game_menu_screen = None
    # SET LOCATIONS LIST
    # Forest Locations
    $ locations.append(south_forest_01)
    $ locations.append(south_forest_02)
    $ locations.append(south_forest_03)
    # Coastal Locations
    $ locations.append(south_coast_01)
    $ locations.append(south_coast_02)
    # Unique Locations
    $ locations.append(fort_chastity)
    $ locations.append(the_last_drop)
    $ locations.append(vergesseneburg)
    $ locations.append(goblin_outpost_01)
    # for i in locations:
    #     i.discovered = True

    # SET ROADS LIST
    $ roads.append(forest_to_fort_chastity)
    $ roads.append(forest_path_01)
    # roads.append(forest_path_02)
    $ roads.append(forest_path_03)
    $ roads.append(forest_path_04)
    $ roads.append(forest_path_05)
    $ roads.append(last_drop_path_01)
    $ roads.append(last_drop_path_02)
    $ roads.append(beach_path_01)
    $ roads.append(path_vergesseneburg_to_beach)
    # for i in roads:
    #     i.discovered = True


    # PC SKILLS
    $ pc_skills.append([skill_strike,True]) # [skill,known]
    $ pc_skills.append([skill_flirt,True])
    # $ pc_skills.append([skill_pierce,False])
    # $ pc_skills.append([skill_flurry,False])
    # $ pc_skills.append([skill_siren_song,False])
    # $ pc_skills.append([skill_frostbolt,False])
    # $ pc_skills.append([skill_bite,False])
    # $ pc_skills.append([skill_bite,False])
    # $ pc_skills.append([skill_poison_spray,False])
    # $ pc_skills.append([skill_sweet_kiss,False])
    # $ pc_skills.append([skill_inferno,False])

    # Default Equipment
    $ addToInventory(inventory,item_torn_shirt,1)
    $ addToInventory(inventory,item_torn_shorts,1)
    $ addToInventory(inventory,item_magic_collar,1)

    $ inventory[len(inventory)-3][0].equip(pc)
    $ inventory[len(inventory)-2][0].equip(pc)
    $ inventory[len(inventory)-1][0].equip(pc)

    # $ _i = 0
    # while _i < 30:
    #     $ _i += 1
    #     $ addToInventory(storage,item_apple,16)
    # # $ addToInventory(inventory,item_goblin_sample,10)
    # # $ addToInventory(inventory,book_poison_spray,1)
    # $ sortInventory(storage,1)

    # MICKEY INVENTORY
    $ addToInventory(mickeyInventory,item_apple,10)
    $ addToInventory(mickeyInventory,item_basic_spear,1)
    $ addToInventory(mickeyInventory,item_basic_dagger,1)
    $ addToInventory(mickeyInventory,item_nails,5)
    $ sortInventory(mickeyInventory,1)

    # AGATHA INVENTORY
    $ addToInventory(agathaInventory,item_potion_basic,4)
    $ sortInventory(agathaInventory,1)
    # $ addToInventory(agathaInventory,item_potion_mutation,2)

    # DORZAKK INVENTORY
    $ addToInventory(dorzakkInventory,book_frostbolt,1)
    $ addToInventory(dorzakkInventory,book_poison_spray,1)
    $ sortInventory(dorzakkInventory,1)

    # CRAWLER INVENTORY
    $ addToInventory(crawlerInventory,book_frostbolt,1)
    $ addToInventory(crawlerInventory,book_poison_spray,1)
    $ sortInventory(crawlerInventory,1)

    # MORTY INVENTORY
    $ addToInventory(mortyInventory,item_ale,4)
    $ addToInventory(mortyInventory,item_mead,16)
    $ addToInventory(mortyInventory,item_wine,16)
    $ addToInventory(mortyInventory,item_key_21,1)
    $ addToInventory(mortyInventory,item_key_22,1)
    $ addToInventory(mortyInventory,item_key_25,1)
    $ sortInventory(mortyInventory,1)

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    scene bg basic

    jump scene_introduction_01 # scene_goblin_outpost.exterior # scene_forest.south_02 # scene_level_up # scene_map

label scene_introduction_01:
    show bg basic
    $ map_point = fort_chastity

    menu:
        "Play normally":
            pass
        "Dev Mode":
            jump dev_mode.activate

    # show screen skill_screen()
    # call screen storage_screen() with dissolve
    # hide menubar()

    # $ _s = numberOfItem(inventory,item_apple)

    #show slash at truecenter
    # show squeeb collared_idle at hit_minor# at truecenter

    # "[_s]"

    "The nauseating sensation of rocking wakes you unpleasantly from your sleep. With each sharp jerk it feels as if the ship would tear itself apart, yet the cursed vessel remains intact. You sit up with a wince as pain and discomfort shoot through your neck a shoulders. The wooden cot provided little in the way of comfort. Your poor condition is emphasized by a pop and crack in your shoulders as you move."
    "The sound of waves crashing against the ships hull ring loudly in your ears. It's almost enough to drown out the sounds of stomping feet above and the sharp sound of sobbing beneath. The smell of salt water in the air stings your nose and eyes."
    "As your eyes adjust you find yourself locked in a cell. Rusted iron bars allow you to see your fellow prisoners while preventing any escape. You'd been on this ship for a little over a week. Just another prisoner of the Legion, heading towards your prison. The Legion had recently expanded it's territory vastly. Rolling over the lands with large armies. The invasions were immense and with each conquest their numbers grew as they assimilated the populace."
    "You were among many who's homes had been conquered and like so many others you had broken the Legion's laws. Though the term law is used quite loosely within the Legion's borders. For monsters simply speaking to the wrong person could be spun as an attempted assault. No matter how small the crime, monsters are given no second chances. It's either Alcatraz or execution, though the outcome is nearly indistinguishable."

    menu:
        "Falsely accused":
            $ pc_crime = 0
        "Fought against the Legion":
            $ pc_crime = 1
        "Petty thief":
            $ pc_crime = 2

    "Though your crimes make little difference now as the ship is soon to arrive at your new home and prison. The ship rocks harshly to one side sending several prisoners sprawling across the floor. The forward motion of the ship begins to slow and it's clear you're all moments away from your destination."
    "This realization seems to spark some panic in one of your fellow prisoners. He begins clawing frantically at a metal collar around his neck, reminding you of the weight around your own. Each of you had been collared, the heavy rings of metal had no clear method to open or close them. How they were attached is a mystery but was likely done magically. The purpose of these collars wasn't ever explained to you after your arrest."
    "The grunting grows louder and more frustrated as the man tugs fruitlessly at the metal. He seemed to be attempting to break it with brute force alone. As you got a better look at him, it wasn't surprising given his build. He has an incredibly broad chest and heavy tree trunk like arms. Even in the dark his dark olive colored skin and thick lower tusks informed you that he was an orc. Most likely from the southern border."
    "An exasperated sigh cuts through the sound of growling and grunting. The sound wasn't insensitive but the disappointment in it's tone was visceral. This caught the orc's attention. He shot a glance at the cell across from his own, towards the perpetrator of the noise."
    "Orc Man" "\"What? Is there a problem?\""
    "Wererat Woman" "\"You should already know by now that that won't work. It didn't work the first day, didn't work the second day and it won't work a hundred days from now.\" The words were harsh but her tone was dry, melancholic, almost as if she was talking more to herself then the orc."
    "Orc Man" "\"Well you can give up and die a withered old spinster on this island but I don't intend to.\" The frustration in his voice was clear, he seemed to understand his actions were futile. Still acted as if locked in a loop of failure, unable to look or think beyond it."
    "It was a generally accepted rumor among the prisoners that the collars prevent anyone from leaving the island. In addition if they are kept on for too long your libido will disappear, a cruel way for the Legion to control the population of monsters. Many of whom reproduce rather rapidly. The less restrained of prisoners had suggested that the collars would cause your balls and cock to fall off. Though no one has yet to experience such a thing."
    "Wererat Woman" "\"Do as you will then. I wish you luck in your futile efforts.\""
    "The orc grumbled and grunted a few more times as he made a few more vanity attempts to snap the metal collar. Eventually he slumped back in his cell only for a few moments before the trap door to the hull opened. Sunlight poured into the hull forcing you to close your eyes for a few moments. Silhouettes of several tall thin figures wielding spears descend the stairs into the brig."
    "As your eyes adjust to the sudden change of light you see the armor clad guards of the Legion. They were adorned with silver armor and blue tabard with the symbol of the legion embroidered upon it. They move towards the first of the cells, they take one of the prisoners out of their cell before leading them to the upper deck. The process repeats several times before they reach your cell."

    $ add_time(3,30)

    "You're quickly pulled from your cell, the guards prod you with spears giving you little choice in the matter. You follow them to the deck of the ship. It's mid afternoon, the sun is high and bits down mercilessly. A sharp contrast from the dark confines of the ship but no less oppressive."
    "One of the guards steps forward carrying a thick ledger and a quill. They has a small inkwell at their side which they dip their quill inside. They begin to drag the dark ink across the paper in broad overly dramatic flourishes for several moments. It takes several long moments before they ask the most important question they'll ever ask you."
    "Legion Guard" "\"Who are you?\""

    jump player_creation

label player_creation:
    # pc_appearance = {
        # "Height" : 69,
        # "Overheight" : 0,
        # "Weight" : 170,
        # "Overweight" : 0,
        # "Chest" : 0,
        # "Cock" : False,
        # "Cock Type" : "Human", # "Human", "Canine", "Equine"
        # "Cock Length" : 0,
        # "Sheath" : "None", # "None", "Sheath", "Slit"
        # "Balls" : False,
        # "Ballsize" : 0,
        # "Vagina" : False,
        # "Legs" : "Human", # "Human", "Furred Plantigrade", "Reptile Plantigrade", "Furred Digitigrade", "Reptile Digitigrade" "Equine"
        # "Arms" : "Human", # "Human", "Furred", "Reptile"
        # "Torso" : "Human", # "Human", "Furred", "Reptile"
        # "Face" : "Human", # "Human", "Orc, "Kobold, "Goblin", "Canine", "Feline", "Reptile", "Equine", "Bovine", "Rodent" "Canine Skull"
        # "Tail" : "None", # "None", "Canine", "Feline", "Reptile", "Equine", "Bovine" "Rodent"
        # "Skin Color" : "Beige",
        # "Fur Color" : "Black",
        # "Scale Color" : "Red",
        # "Ears" : "Human", # "Human", "Rodent", "Canine", "Feline", "Bovine", "Equine", "Reptile"
        # "Tusks" : False,
        # "Claws" : False,
        # "Fangs" : False
    $ pc_trait['Bard'] = False
    $ pc_trait['Occultist'] = False
    $ pc_trait['Knight'] = False
    $ pc_trait['Speaker'] = False

    $ pc_trait['Witty'] = False
    $ pc_trait['Confident'] = False
    $ pc_trait['Tough'] = False
    $ pc_trait['Romantic'] = False

    $ pc.combat = 40
    $ pc.survival = 40
    $ pc.acumen = 40
    $ pc.glamour = 40

    menu .gender:
        "You identify as..."
        "Male":
            $ pc.profile['Gender'] = "Male"
        "Female":
            $ pc.profile['Gender'] = "Female"

    menu .gender2:
        "You identify as [pc.profile[Gender]] and are physically..."
        "Male":
            $ pc_appearance['Gender'] = "Male"
            $ pc_appearance['Cock'] = True
            $ pc_appearance['Balls'] = True
            $ pc_appearance['Vagina'] = False
            $ pc_appearance['Chest'] = 0
        "Female":
            $ pc_appearance['Gender'] = "Female"
            $ pc_appearance['Cock'] = False
            $ pc_appearance['Balls'] = False
            $ pc_appearance['Vagina'] = True
            $ pc_appearance['Chest'] = 3

    menu .race:
        "You're a [pc.profile[Gender]]..."
        "Lycanthrope":
            menu:
                "You're a Lycanthrope, once a race of beasts who have been twisted to humanoid form by the Hell Gate. Lycanthropes come in many forms. You're a..."
                "Dire Canis":
                    menu:
                        "You're a Dire Canis, a humanoid race of canines formed by the opening of the Hell Gate. Once wild dog the have been twisted by corruption, their forms twisted into new forms. You're of a loyal, social race who form tight communities with strong bonds. Most Dire Canis live together with family. The corruption that plagues your body grants you heightened Survival and Glamour skills."
                        "Confirm":
                            $ pc.profile['Race'] = "Dire Canis"
                            $ pc_appearance['Height'] = 58
                            $ pc_appearance['Overheight'] = renpy.random.randint(1,6) + renpy.random.randint(1,6)
                            $ pc_appearance['Weight'] = 115
                            $ pc_appearance['Overweight'] = renpy.random.randint(1,4) + renpy.random.randint(1,4)
                            $ pc_appearance['Skin Color'] = renpy.random.choice(["Beige","Pink","Black"])
                            $ pc_appearance['Fur Color'] = renpy.random.choice(["White","Beige","Blonde","Brown","Black"])
                            $ pc_appearance['Face'] = "Canine"
                            $ pc_appearance['Legs'] = "Furred Digitigrade"
                            $ pc_appearance['Arms'] = "Furred"
                            $ pc_appearance['Torso'] = "Furred"
                            $ pc_appearance['Ears'] = "Canine"
                            $ pc_appearance['Tail'] = "Canine"

                            if pc.profile['Gender'] == "Male":
                                $ pc_appearance['Gender'] = "Male"
                                $ pc_appearance['Cock'] = True
                                $ pc_appearance['Cock Type'] = "Canine"
                                $ pc_appearance['Cock Length'] = renpy.random.randint(5,8)
                                $ pc_appearance['Sheath'] = "Sheath"
                                $ pc_appearance['Balls'] = True
                                $ pc_appearance['Vagina'] = False
                                $ pc_appearance['Chest'] = 0
                            else:
                                $ pc.appearance['Gender'] = "Female"
                                $ pc_appearance['Cock'] = False
                                $ pc_appearance['Balls'] = False
                                $ pc_appearance['Vagina'] = True
                                $ pc_appearance['Chest'] = 3

                            $ pc_appearance['Claws'] = True
                            $ pc_appearance['Fangs'] = True

                            # Increase and Decrease Stats
                            $ pc.glamour += 5
                            $ pc.survival += 10
                        "Cancel":
                            jump player_creation.race
                "Dire Alethinophid":
                    menu:
                        "You're a Dire Alethinophid, a tall, elegant race of humanoid serpents. Created during the opening of the Hell Gate, they are a race that prefers independence over community. They are known for their silver tongues that has earned them a reputation for being con artists. The corruption that flow through your body grants you heightened Glamour and Survival skills."
                        "Confirm":
                            $ pc.profile['Race'] = "Dire Alethinophid"
                            $ pc_appearance['Height'] = 60
                            $ pc_appearance['Overheight'] = renpy.random.randint(1,6) + renpy.random.randint(1,6)
                            $ pc_appearance['Weight'] = 100
                            $ pc_appearance['Overweight'] = renpy.random.randint(1,4) + renpy.random.randint(1,4)
                            $ pc_appearance['Skin Color'] = renpy.random.choice(["Beige","Pink","Black"])
                            $ pc_appearance['Scale Color'] = renpy.random.choice(["White","Yellow","Red","Green","Blue","Black"])
                            $ pc_appearance['Face'] = "Snake"
                            $ pc_appearance['Legs'] = "Reptile Plantigrade"
                            $ pc_appearance['Arms'] = "Reptile"
                            $ pc_appearance['Torso'] = "Reptile"
                            $ pc_appearance['Ears'] = "Reptile"
                            $ pc_appearance['Tail'] = "Reptile"

                            if pc.profile['Gender'] == "Male":
                                $ pc_appearance['Gender'] = "Male"
                                $ pc_appearance['Cock'] = True
                                $ pc_appearance['Cock Type'] = "Reptile"
                                $ pc_appearance['Cock Length'] = renpy.random.randint(4,7)
                                $ pc_appearance['Sheath'] = "Slit"
                                $ pc_appearance['Balls'] = False
                                $ pc_appearance['Vagina'] = False
                                $ pc_appearance['Chest'] = 0
                            else:
                                $ pc.appearance['Gender'] = "Female"
                                $ pc_appearance['Cock'] = False
                                $ pc_appearance['Balls'] = False
                                $ pc_appearance['Vagina'] = True
                                $ pc_appearance['Chest'] = 3

                            $ pc_appearance['Fangs'] = True

                            # Increase and Decrease Stats
                            $ pc.glamour += 10
                            $ pc.survival += 5
                        "Cancel":
                            jump player_creation.race
                "Dire Murin":
                    menu:
                        "You're a Dire Murin, they are a race of humanoid rodent and are among the smallest of the lycanthrope races. Created during the opening of the Hell Gate, they are a race that form small reclusive packs. They have an affinity for small dark place and are known for being quick on their feet. The corruption that flows through your body grants you heightened Survival and Glamour skills."
                        "Confirm":
                            $ pc.profile['Race'] = "Dire Murin"
                            $ pc_appearance['Height'] = 56
                            $ pc_appearance['Overheight'] = renpy.random.randint(1,6) + renpy.random.randint(1,6)
                            $ pc_appearance['Weight'] = 90
                            $ pc_appearance['Overweight'] = renpy.random.randint(1,4) + renpy.random.randint(1,4)
                            $ pc_appearance['Skin Color'] = renpy.random.choice(["Beige","Pink","Black"])
                            $ pc_appearance['Fur Color'] = renpy.random.choice(["White","Gray","Brown","Black"])
                            $ pc_appearance['Face'] = "Rodent"
                            $ pc_appearance['Legs'] = "Furred Digitigrade"
                            $ pc_appearance['Arms'] = "Furred"
                            $ pc_appearance['Torso'] = "Furred"
                            $ pc_appearance['Ears'] = "Rodent"
                            $ pc_appearance['Tail'] = "Rodent"

                            if pc.profile['Gender'] == "Male":
                                $ pc_appearance['Gender'] = "Male"
                                $ pc_appearance['Cock'] = True
                                $ pc_appearance['Cock Type'] = "Human"
                                $ pc_appearance['Cock Length'] = renpy.random.randint(4,6)
                                $ pc_appearance['Sheath'] = "Sheath"
                                $ pc_appearance['Balls'] = False
                                $ pc_appearance['Vagina'] = False
                                $ pc_appearance['Chest'] = 0
                            else:
                                $ pc.appearance['Gender'] = "Female"
                                $ pc_appearance['Cock'] = False
                                $ pc_appearance['Balls'] = False
                                $ pc_appearance['Vagina'] = True
                                $ pc_appearance['Chest'] = 3

                            # Increase and Decrease Stats
                            $ pc.glamour += 5
                            $ pc.survival += 10
                        "Cancel":
                            jump player_creation.race
                "Cancel":
                    jump player_creation.race
        "Demon":
            menu:
                "You're a Demon, a twisted creature made by corruption. Once goblinoids, their forms have been completely rearranged by the opening of the Hell Gate. You were feared by many for your connection to the outer planes. Most demon's live reclusive lives away from others. The corruption that plagues your body grants you heightened Acumen and Combat skills."
                "Confirm":
                    $ pc.profile['Race'] = "Demon"
                    $ pc_appearance['Height'] = 56
                    $ pc_appearance['Overheight'] = renpy.random.randint(1,6) + renpy.random.randint(1,6)
                    $ pc_appearance['Weight'] = 35
                    $ pc_appearance['Overweight'] = renpy.random.randint(1,4) + renpy.random.randint(1,4)
                    $ pc_appearance['Skin Color'] = renpy.random.choice(["Green","Violet","Red"])
                    $ pc_appearance['Fur Color'] = renpy.random.choice(["Green","Violet","Red"])
                    $ pc_appearance['Scale Color'] = renpy.random.choice(["Green","Violet","Red"])
                    $ pc_appearance['Face'] = "Canine Skull"
                    $ pc_appearance['Legs'] = "Reptile Digitigrade"
                    $ pc_appearance['Arms'] = "Furred"
                    $ pc_appearance['Torso'] = "Furred"
                    $ pc_appearance['Ears'] = "Bovine"
                    $ pc_appearance['Tail'] = "Scorpion"

                    if pc.profile['Gender'] == "Male":
                        $ pc_appearance['Gender'] = "Male"
                        $ pc_appearance['Cock'] = True
                        $ pc_appearance['Cock Type'] = "Human"
                        $ pc_appearance['Cock Length'] = renpy.random.randint(4,7)
                        $ pc_appearance['Sheath'] = "Sheath"
                        $ pc_appearance['Balls'] = True
                        $ pc_appearance['Vagina'] = False
                        $ pc_appearance['Chest'] = 0
                    else:
                        $ pc.appearance['Gender'] = "Female"
                        $ pc_appearance['Cock'] = False
                        $ pc_appearance['Balls'] = False
                        $ pc_appearance['Vagina'] = True
                        $ pc_appearance['Chest'] = 2

                    $ pc_appearance['Claws'] = True
                    $ pc_appearance['Fangs'] = True

                    # Increase and Decrease Stats
                    $ pc.combat += 5
                    $ pc.survival += 10
                "Cancel":
                    jump player_creation.race
        "Orc":
            menu:
                "You're an Orc, a powerful race of hill dwelling goblinoids. They are a strong semi nomadic race that form small communities that live off the land. They are proud warriors with strong connections to the earth. The Hell Gate left many of their communities ravaged and weakened allowing the Legion to invade. They have heightened Combat and Survival skills."
                "Confirm":
                    $ pc.profile['Race'] = "Orc"
                    $ pc_appearance['Height'] = 64
                    $ pc_appearance['Overheight'] = renpy.random.randint(1,8) + renpy.random.randint(1,8)
                    $ pc_appearance['Weight'] = 175
                    $ pc_appearance['Overweight'] = renpy.random.randint(1,6) + renpy.random.randint(1,6)
                    $ pc_appearance['Skin Color'] = renpy.random.choice(["Green","Rust"])
                    $ pc_appearance['Face'] = "Orc"
                    $ pc_appearance['Legs'] = "Human"
                    $ pc_appearance['Arms'] = "Human"
                    $ pc_appearance['Torso'] = "Human"
                    $ pc_appearance['Ears'] = "Human"
                    $ pc_appearance['Tail'] = "None"

                    if pc.profile['Gender'] == "Male":
                        $ pc_appearance['Gender'] = "Male"
                        $ pc_appearance['Cock'] = True
                        $ pc_appearance['Cock Type'] = "Human"
                        $ pc_appearance['Cock Length'] = renpy.random.randint(5,8)
                        $ pc_appearance['Sheath'] = "None"
                        $ pc_appearance['Balls'] = True
                        $ pc_appearance['Vagina'] = False
                        $ pc_appearance['Chest'] = 0
                    else:
                        $ pc.appearance['Gender'] = "Female"
                        $ pc_appearance['Cock'] = False
                        $ pc_appearance['Balls'] = False
                        $ pc_appearance['Vagina'] = True
                        $ pc_appearance['Chest'] = 3

                    $ pc_appearance['Tusks'] = True

                    # Increase and Decrease Stats
                    $ pc.combat += 10
                    $ pc.survival += 5
                "Cancel":
                    jump player_creation.race

        "Kobold":
            menu:
                "You're a Kobold, a small subterranean race of humanoid lizard. They have avoided much of the damage of the Hell Gate by living underground. They are physically sturdy and have a strong connection to the earth. They live in large underground settlements with an ant-like social structure. Their life of tunneling has given them heightened Combat and Acumen skills."
                "Confirm":
                    $ pc.profile['Race'] = "Kobold"
                    $ pc_appearance['Height'] = 25
                    $ pc_appearance['Overheight'] = renpy.random.randint(1,4) + renpy.random.randint(1,4)
                    $ pc_appearance['Weight'] = 25
                    $ pc_appearance['Overweight'] = renpy.random.choice([0.5,1,1.5])
                    $ pc_appearance['Skin Color'] = "Pink"
                    $ pc_appearance['Scale Color'] = renpy.random.choice(["Red","Orange","Yellow","Black","Blue","Green"])
                    $ pc_appearance['Face'] = "Kobold"
                    $ pc_appearance['Legs'] = "Reptile Digitigrade"
                    $ pc_appearance['Arms'] = "Reptile"
                    $ pc_appearance['Torso'] = "Reptile"
                    $ pc_appearance['Ears'] = "Reptile"
                    $ pc_appearance['Tail'] = "Reptile"

                    if pc.profile['Gender'] == "Male":
                        $ pc_appearance['Gender'] = "Male"
                        $ pc_appearance['Cock'] = True
                        $ pc_appearance['Cock Type'] = "Human"
                        $ pc_appearance['Cock Length'] = renpy.random.randint(2,5)
                        $ pc_appearance['Sheath'] = "Slit"
                        $ pc_appearance['Balls'] = False
                        $ pc_appearance['Vagina'] = False
                        $ pc_appearance['Chest'] = 0
                    else:
                        $ pc.appearance['Gender'] = "Female"
                        $ pc_appearance['Cock'] = False
                        $ pc_appearance['Balls'] = False
                        $ pc_appearance['Vagina'] = True
                        $ pc_appearance['Chest'] = 1

                    $ pc_appearance['Fangs'] = True

                    # Increase and Decrease Stats
                    $ pc.combat += 10
                    $ pc.acumen += 5
                "Cancel":
                    jump player_creation.race

        "Human":
            menu:
                "You're a Human, an intelligent race of humanoid who live in large communities. Many humans were corrupted by the Hell Gate leaving their communities ravaged. They are highly adaptable and able to live in most regions but lack a mastery of any skills. This ability to blend into any situation gives them a small bonus to all skills."
                "Confirm":
                    $ pc.profile['Race'] = "Human"
                    $ pc_appearance['Height'] = 56
                    $ pc_appearance['Overheight'] = renpy.random.randint(1,10) + renpy.random.randint(1,10)
                    $ pc_appearance['Weight'] = 100
                    $ pc_appearance['Overweight'] = renpy.random.randint(1,4) + renpy.random.randint(1,4)
                    $ pc_appearance['Skin Color'] = renpy.random.choice(["Beige","Brown","Tan","Pale"])
                    $ pc_appearance['Face'] = "Human"
                    $ pc_appearance['Legs'] = "Human"
                    $ pc_appearance['Arms'] = "Human"
                    $ pc_appearance['Torso'] = "Human"
                    $ pc_appearance['Ears'] = "Human"
                    $ pc_appearance['Tail'] = "None"

                    if pc.profile['Gender'] == "Male":
                        $ pc_appearance['Gender'] = "Male"
                        $ pc_appearance['Cock'] = True
                        $ pc_appearance['Cock Type'] = "Human"
                        $ pc_appearance['Cock Length'] = renpy.random.randint(2,5)
                        $ pc_appearance['Sheath'] = "Slit"
                        $ pc_appearance['Balls'] = False
                        $ pc_appearance['Vagina'] = False
                        $ pc_appearance['Chest'] = 0
                    else:
                        $ pc.appearance['Gender'] = "Female"
                        $ pc_appearance['Cock'] = False
                        $ pc_appearance['Balls'] = False
                        $ pc_appearance['Vagina'] = True
                        $ pc_appearance['Chest'] = 3

                    # Increase and Decrease Stats
                    $ pc.combat += 5
                    $ pc.survival += 5
                    $ pc.acumen += 5
                    $ pc.glamour += 5
                "Cancel":
                    jump player_creation.race

        "Cancel":
            jump player_creation.gender

    $ _j = ""
    menu .job:
        "You're a [pc.profile[Gender]] [pc.profile[Race]]. You worked as a..."
        "Bard":
            menu:
                "You traveled the world spreading stories and song to distant lands."
                "Confirm":
                    $ pc_trait["Bard"] = True
                    $ _j = "a Bard"
                "Cancel":
                    jump player_creation.job
        "Occultist":
            menu:
                "You studied the arcane magic of the Hell Gate and the outer planes."
                "Confirm":
                    $ pc_trait["Occultist"] = True
                    $ _j = "an Occultist"
                "Cancel":
                    jump player_creation.job
        "Knight":
            menu:
                "You were a knight, a loyal warrior dedicated to the service of a noble or warchief."
                "Confirm":
                    $ pc_trait["Knight"] = True
                    $ _j = "a Knight"
                "Cancel":
                    jump player_creation.job
        "Speaker":
            menu:
                "You were gifted by the gods, able to hear their divine words you worked as a priest enacting their will."
                "Confirm":
                    $ pc_trait["Speaker"] = True
                    $ _j = "a Speaker"
                "Cancel":
                    jump player_creation.job
        "Cancel":
            jump player_creation.race

    $ _p = ""
    menu .personality:
        "You're a [pc.profile[Gender]] [pc.profile[Race]]. You worked as [_j]. People would describe you as..."
        "Romantic":
            $ pc_trait['Romantic'] = True
            $ _p = "a Romantic"
        "Confident":
            $ pc_trait['Confident'] = True
            $ _p = "Confident"
        "Witty":
            $ pc_trait['Witty'] = True
            $ _p = "Witty"
        "Tough":
            $ pc_trait['Tough'] = True
            $ _p = "Tough"
        "Cancel":
            $ pc_trait['Bard'] = False
            $ pc_trait['Occultist'] = False
            $ pc_trait['Knight'] = False
            $ pc_trait['Speaker'] = False
            jump player_creation.job

    $ _s = ""
    menu .sign:
        "You were born under the sign of the..."
        "Crown":
            menu:
                "The sign of the Crown represents earth and summer. Those born under this sign have improved Combat abilities."
                "Confirm":
                    $ pc.sign = star.crown
                    $ _s = "Crown"
                "Cancel":
                    jump player_creation.sign
        "Sword":
            menu:
                "The sign of the Sword represents air and winter. Those born under this sign have improved Survival abilities."
                "Confirm":
                    $ pc.sign = star.sword
                    $ _s = "Sword"
                "Cancel":
                    jump player_creation.sign
        "Wand":
            menu:
                "The sign of the Wand represents fire and spring. Those born under this sign have improved Acumen abilities."
                "Confirm":
                    $ pc.sign = star.wand
                    $ _s = "Wand"
                "Cancel":
                    jump player_creation.sign
        "Chalice":
            menu:
                "The sign of the Chalice represents water and fall. Those born under this sign have improved Glamour abilities."
                "Confirm":
                    $ pc.sign = star.chalice
                    $ _s = "Chalice"
                "Cancel":
                    jump player_creation.sign
        "Cancel":
            jump player_creation.personality

    python:
        pc.profile['Name'] = renpy.input("You're a [pc.profile[Gender]] [pc.profile[Race]], named...",length = 12)
        pc.profile['Name'] = pc.profile['Name'].strip()

        if not pc.profile['Name']:
            pc.profile['Name'] = "Player"

    $ pc_name = str(pc.profile['Name'])

    menu:
        "You're a [pc.profile[Gender]] [pc.profile[Race]], named [pc_name]. You worked as [_j]. People would describe you as [_p]. You were born under the sign of the [_s]. Does that sound right?"
        "Yes":
            jump scene_introduction_02
        "No":
            jump player_creation

label scene_introduction_02:
    "The guard continues to scrawl information into their ledger. You're forced to wait uncomfortably while the guard lets the ink dry. Some cruel last minute attempt at torture as they stare at their pretentious scrawlings. Your eyes can't help but wander over the long wooden docks."
    "Several large ships with elegant bows flying the Legion's colors of blue and silver sit unpleasantly in the bay. Like hungry watch dogs, calm in the moment but ready to pounce at their masters slightest whim. The port has several stone buildings surrounded by a semi-circular stone wall that cuts off the Legion's stronghold from the rest of the island."
    "Tall stone towers with wooden tops line the wall. You can just barely make out the shapes of guards poised with bows at their sides. A tall lighthouse stands on a cluster of rocks in the ocean. Stoic and defiant against the harsh crashing waves that turn this island into a prison."
    "A sharp clap startles you as the ledger is abruptly slammed shut. The guard waves a hand frivolously causing the rest of the guards to stand up straight. A spear pokes you roughly in the backside and you're urged forward. They don't speak to you as you're forcefully lead down the dock towards the fortress walls. You're treated more like meat with legs then a person."

    $ add_time(0,10)

    "The tall walls quickly come into view, standing tall and opposing. Two tall towers flank a closed gate like prison wardens. They stare down at you as if you were an ant, making you feel small and meek in their presence. The gate creaks and groans as from some unseen location a winch is turned pulling the portcullis free."

    $ add_time(0,10)

    scene bg forest_day with fade
    $ map_point = south_forest_01
    "Beyond is a dark pine forest, several path beaten into the dirt by your fellow prisoners who now try to survive on this cursed island. The sight looms and stretches out before you. The collar around your neck feels heavy and the weight of your situation begins to overwhelm you. There's almost something comforting about the oppressive walls of the Legion's fortress. It's cruel and oppressive but it's a known evil."
    "The guard don't give you a choice in the matter however. A sharp prod in the back forces you forward lest you end up run through. You stumble forward barely breaking beyond the threshold before the gate closes behind you. The guards don't leave you any parting words but the dark glare from the archers high above are enough to make you press forward. They certainly wouldn't hesitate to fire upon you should you stay in the area."
    "There's a strange sense of unease and anxiety that fills you as you press forward, delving into the darkness of the pine forest. The trees are tall and scattered which provides some room to move. However the tall branches overhead knit together forming a sharp needle filled canopy that blocks much of the sky from view. Only allowing small beams to pierce the forest floor."
    "You walk for several minutes, not having any aim or purpose beyond getting away from the fort. You can see many tracks that seem to have a similar aimlessness. Fresh and old tracks mingle here in a tapestry of anxiety and hopelessness."
    $ add_time(0,10)

    menu:
        "Scavenge":
            $ add_time(0,5)
            jump scene_introduction_03

label scene_introduction_03:
    "Fearing you may be attacked you find a low hanging branch, an uncommon thing among the tall pines. You grip it tightly, twisting and bending it unceremoniously for a moment until it breaks free with a dull snap. It maybe a good idea to arm yourself before proceeding any further."
    $ addToInventory(inventory,item_stick,1)
    $ accessInventory = True
    $ last_scene = "scene_introduction_03"
    show screen menubar(False,True,False,False)

    while pc.hands['Right'] == None:
        "Equip Stick to continue"
        pause 0.5

    $ add_time(0,5)

    jump scene_introduction_04

label scene_introduction_04:
    show bg forest_day with dissolve
    $ accessInventory = True
    $ last_scene = "scene_introduction_04"

    menu:
        "The anxiety still present in your mind is lessened by the comforting feel of having a weapon in hand. Though not a good one, it still provides some relief. Taking a deep breath you prepare to head forward in search of some kind of shelter and a source of food. Without either you won't survive long here."
        "Explore":
            "You head deeper into the forest, searching the cavernous forest for a place to make your camp. You do your best to maintain a single direction, weaving your way around the thick trees. The smell of sap and pine grows stronger as you progress deeper."
            "Suddenly a dark shape leaps from a low branch landing in front of you. The small green skinned goblin has a wild look in their eye. They prepare to fight brandishing a small stick in your face."
            $ add_time(0,5)
            $ last_scene = "scene_introduction_05"
            if renpy.random.randint(0,1) == 1:
                $ _enemy = Hostile("Female Goblin Collared",10,10,2,20,20,20,20,1,"Goblin","Goblin","Female",star.wand,skill_strike,None,None,None,None,None,"Weak","tutorial_battle")
            else:
                $ _enemy = Hostile("Male Goblin Collared",10,10,2,20,20,20,20,1,"Goblin","Goblin","Male",star.wand,skill_strike,None,None,None,None,None,"Weak","tutorial_battle")
            call scene_battle_setup pass (_en = _enemy) from _call_scene_battle_setup

label scene_introduction_05:
    $ last_scene = "scene_introduction_05"
    menu:
        "Having sent the crazed goblin on it's way, you prepare to move again. As dangerous as it might be to venture further you can't stay here either. The dense canopy of needles above may provide some cover from the elements but "
        "Explore":
            $ south_forest_02.discovered = True
            $ map_point = south_forest_02
            "The sparse trees the fill the forest all begin to blur together the more you walk. As much as you walk the forest all looks the same. You breath begins to catch in your lungs as feelings of isolation and panic creep into your mind. Like a twisted parasite clawing at the back of your brain. The collar suddenly feels suffocating and heavy dragging you down like an anchor."

            "Just as the weight of hopelessness begins to take hold and you feel you're about to collapse something catches your eye. A small copse, pine branches parted just enough to allow a faint beam of fading light into it's center. Like a beacon of hope there's a cluster of rocks, carefully arranged. Stepping into the sunlight you can see the rocks are clearly forming several arrows. You don't know what they point towards but you're sure they point to something important."

            scene bg forest_night with fade
            "The realization is comforting. Though the fading daylight urges you forward. You at least have a clear direction and landmark. Looking towards the largest arrow you prepare to push further into the woods."

            jump scene_introduction_06

label scene_introduction_06:
    $ last_scene = "scene_introduction_06"
    "You start moving steadily forward, following the guidance of the mysterious stone arrangement. Making some progress and feeling confident in your navigation for a time, but the shadows grow longer. Darkness and night is descending quickly and you aren't sure how much longer you can keep going in the dark."

    menu:
        "Dusk fades and you're quickly left in darkness, what little starlight there is can barely piece the thick canopy above. You see a small flicker of light in the distance between the veil of tree trunks and low branches. You rush towards it hoping for sanctuary, but a sharp sound draws your attention just in time to feel a sharp impact at your side. Something large and growling sends you sprawling across the ground."
        "Explore":
            jump battle_forest.nightstalker

# Battle set up
# Set default variables and reset anything that needs to be reset at the beginning of a battle
label scene_battle_setup(_en = None,_eq_acc = None,_eq_torso = None,_eq_legs = None,_eq_left = None,_eq_right = None,_con = "",_ambush = False,_pc_ambush = False,_weather_active = True):
    show screen clock
    hide screen menubar

    if isinstance(_en,Hostile):
        python:
            # player_turn = True
            turn_start = True
            hit = 0
            crit = 0
            miss = 0
            selected_skill = None
            flee_succeed = False
            mob_flee = False
            mob_submit = False
            combat_history = []

            # SET ENEMY
            enemy = _en

            # EQUIP ENEMY ARMORS
            if isinstance(_eq_acc,Armor):
                enemy.equip_armor(_eq_acc,_eq_acc.slot)
            else:
                enemy.equipment["Acc"] = None

            if isinstance(_eq_torso,Armor):
                enemy.equip_armor(_eq_torso,_eq_torso.slot)
            else:
                enemy.equipment["Chest"] = None
            if isinstance(_eq_legs,Armor):
                enemy.equip_armor(_eq_legs,_eq_legs.slot)
            else:
                enemy.equipment["Legs"] = None
            # EQUIP ENEMY WEAPONS
            if isinstance(_eq_left,Weapon):
                enemy.equip_weapon(_eq_left)
            else:
                enemy.hands["Left"] = None
            if isinstance(_eq_right,Weapon):
                enemy.equip_weapon(_eq_right)
            else:
                enemy.hands["Right"] = None

            # enemy.update_all()

            enemy.condition = _con
            enemy.updateBuffs()

            spr = []
            spr += get_sprite_list(enemy.sprite)
            enemy.hp = enemy.max_hp
            if enemy.condition == "Aroused":
                enemy.libido = int(enemy.max_libido/2)
            else:
                enemy.libido = 0

            turn_count = 1

            # Check if the encounter is an Ambush. If it is the enemy goes first by default. Otherwise test awareness
            if _ambush:
                player_turn = False
                _surprise = True
                combat_history.append(str(enemy.profile['Name']) + " bursts from the shadows. You have been ambushed.")
            elif _pc_ambush:
                player_turn = True
                _surprise = True
                combat_history.append("You take advantage of the situation and bursts from the shadows."  + str(enemy.profile['Name']) + " has been ambushed.")
            else:
                _surprise = False


        image enemy_healthy_chaste = "[spr[0]]"
        image enemy_hurt_chaste = "[spr[1]]"
        image enemy_healthy_lusty = "[spr[2]]"
        image enemy_hurt_lusty = "[spr[3]]"

    else:
        jump expression map_point._scene

    if 8 < calendar[3] < 20:
        show expression map_point.bg_day with Fade(0.2,0.2,0.5)
    else:
        show expression map_point.bg_night with Fade(0.2,0.2,0.5)

    show screen action_history(combat_history) with None
    show screen action_menu(pc,False) with None
    show screen enemy_status(enemy) with None

    $ turn_order = 0
    call scene_battle_loop(_weather_active,_surprise) from _call_scene_battle_loop

label scene_battle_loop(_weather_active,_surprise):
    while flee_succeed == False and mob_flee == False and mob_submit == False and enemy.hp > 0 and pc.hp > 0:
        hide enemy_healthy_chaste
        hide enemy_hurt_chaste
        hide enemy_healthy_lusty
        hide enemy_hurt_lusty

        # Show enemy sprites
        if enemy.hp >= enemy.max_hp/2:
            if enemy.buff["Lusty"][0]:
                show enemy_healthy_chaste:
                    yalign 0.5
                    xalign 0.5
            else:
                show enemy_healthy_lusty:
                    yalign 0.5
                    xalign 0.5
        else:
            if enemy.buff["Lusty"][0]:
                show enemy_hurt_chaste:
                    yalign 0.5
                    xalign 0.5
            else:
                show enemy_hurt_lusty:
                    yalign 0.5
                    xalign 0.5

        $ selected_skill = None
        # Turn Start  =  0
        # Player and Enemy Select Skills  =  1
        # Character with initiative turn begin  =  2
        # Character action  =  2
        # Opponent turn begin  =  3
        # Opponent action  =  3
        # Check who has initiatve  =  4

        if turn_order == 0:
            $ combat_history.insert(0,pc.turn_begin_update())
            # pause 0.5
            $ combat_history.insert(0,enemy.turn_begin_update())
            pause 0.5
            $ turn_order = 1
        elif turn_order == 1:
            if turn_start:
                # Determine Enemy Actions
                # First check if enemy flees
                # Set DC based on enemy HP
                # At full health the enemy won't flee
                # At half health there is 1/36 chance of fleeing
                # At quarter health 3/36 chance of fleeing
                # Melancholy or Cowardly trait increase the DC by 2
                # If mob isn't Aggro it has a chance to flee
                if not enemy.buff["Aggro"][0]:
                    $ _dc = 1
                    $ _dc2 = 1
                    if enemy.hp <= enemy.max_hp/2:
                        $ _dc += 1
                    if enemy.hp <= enemy.max_hp/4:
                        $ _dc += 1
                    if enemy.condition == "Melancholy" or enemy.condition == "Cowardly":
                        $ _dc += 2
                        $ _dc2 += 2
                    # Check 2d6 vs DC
                    if standd6.roll()[0] + standd6.roll()[0] <= _dc:
                        # On a fail roll a d6
                        # If the enemy is Melancholy or Cowardly the enemy flees on a 3 or less
                        # Otherwise the enemy flees on a 1
                        if standd6.roll()[0] <= _dc2:
                            # ADD FLEE ATTEMPT LATER
                            $ enemy_action = skill_flee

                # If mob isn't Continue it has a chance to submit
                if not enemy.buff["Continue"][0]:
                    $ _dc = 1
                    $ _dc2 = 1
                    if enemy.libido >= enemy.max_libido/2:
                        $ _dc += 1
                    if enemy.libido <= enemy.max_libido/4:
                        $ _dc += 1
                    if enemy.condition == "Submissive":
                        $ _dc += 2
                        # $ _dc2 += 2
                    # Check for submission
                    if standd6.roll()[0] + standd6.roll()[0] <= _dc:
                        # On a fail roll a d6
                        # If the enemy is Melancholy or Cowardly the enemy flees on a 3 or less
                        # Otherwise the enemy flees on a 1
                        if standd6.roll()[0] <= _dc2:
                            # ADD FLEE ATTEMPT LATER
                            $ enemy_action = skill_submit

                # If mob isn't fleeing or submitting determine their attack action
                if enemy_action != skill_flee and enemy_action != skill_submit:
                    python:
                        _list = []
                        _i = 0
                        for _i in range(6):
                            if enemy.skills[_i] != None:
                                if enemy.skills[_i].stam <= enemy.stamina:
                                    _o = 0
                                    for _o in range(enemy.skills[_i].skill_priority(enemy,pc)):
                                        _list.append(enemy.skills[_i])
                        if len(_list) > 0:
                            enemy_action = _list[renpy.random.randint(0,len(_list)-1)]
                        else:
                            enemy_action = skill_struggle

                $ turn_start = False
            else:
                # if player_action_menu:
                call screen action_menu(pc,True)
                $ player_action = _return

                show screen action_menu(pc,False)

                pause 0.75

                $ turn_order = 2

                if not _surprise:
                    # Determine Initiative
                    # Determine which skills is fastest
                    $ _p = 0
                    $ _e = 0
                    if player_action in range(0,6):
                        if pc.skills[player_action].initiative > enemy_action.initiative:
                            $ player_turn = True
                        elif pc.skills[player_action].initiative < enemy_action.initiative:
                            $ player_turn = False
                        else:
                            if pc.survival > enemy.survival:
                                $ player_turn = True
                            elif pc.survival < enemy.survival:
                                $ player_turn = False
                            # Else flip a coin
                            else:
                                if renpy.random.randint(1,2) == 1:
                                    $ player_turn = True
                                else:
                                    $ player_turn = False

                        $ _p = pc.skills[player_action].initiative
                        $ _e = enemy_action.initiative
                    else:
                        $ player_turn = False

                    $ combat_history.insert(0,"Initiative Determined. Player: " + str(_p) + "   Enemy: " + str(_e))
                    $ _surprise = False
                else:
                    $ combat_history.insert(0,"Surprise Round Started.")
                    $ _surprise = False


                # INVENTORY ACTIONS HERE
                # else:
                #   $ turn_order = 2
                #   $ turn_start = True
                #   $ player_turn = False
        elif turn_order == 2 or turn_order == 3:
            if player_turn:
                if player_action in range(0,6):
                    $ _tsk = use_skill(pc.skills[player_action],pc,enemy)
                    $ combat_history.insert(0,"Turn " + str(turn_count) + " - " + str(_tsk[0]))
                elif player_action == 6:
                    $ _tsk = rest(pc,enemy,0,0)
                    $ combat_history.insert(0,"Turn " + str(turn_count) + " - " + str(_tsk[0]))
                elif player_action == 7:
                    $ _tsk = use_skill(skill_flee,pc,enemy)
                    $ combat_history.insert(0,"Turn " + str(turn_count) + " - " + str(_tsk[0]))

                $ player_turn = False
                $ player_action = -1
                $ turn_order = turn_order + 1
                pause 0.75
            else:
                $ _tsk = use_skill(enemy_action,enemy,pc)
                $ combat_history.insert(0,"Turn " + str(turn_count) + " - " + str(_tsk[0]))

                $ player_turn = True
                $ enemy_action = -1
                $ turn_order = turn_order + 1
                pause 0.75
        elif turn_order == 4:
            $ combat_history.insert(0,pc.turn_end_update())
            # pause 0.5
            $ combat_history.insert(0,enemy.turn_end_update())
            pause 0.5

            $ enemy_skill = skill_struggle
            $ turn_order = 0
            $ turn_count += 1
            $ turn_start = True

    pause

    python:
        _e = "martial_victory"
        if flee_succeed:
            _e = "player_flee"
        elif mob_flee:
            _e = "mob_flee"
        elif mob_submit:
            _e = "mob_submit"
        elif pc.hp <= 0:
            if pc.buff["Lusty"][0] or pc.libido >= pc.max_libido:
                _e = "lust_defeat"
            else:
                _e = "martial_defeat"
        else: # enemy.hp <= 0:
            if enemy.buff["Lusty"][0] or enemy.libido >= enemy.max_libido:
                _e = "lust_victory"
            else:
                _e = "martial_victory"

    $ turn_order = 0
    $ turn_count = 0
    # DETERMINE ENDING TO JUMP TO
    call scene_battle_end pass (_e) from _call_scene_battle_end # from _call_scene_battle_end

label scene_battle_end(_end = "martial_victory"):
    hide screen enemy_status
    hide screen action_menu
    hide screen action_history
    $ add_time(0,10)

    # if isinstance(enemy,Hostile):
    jump expression enemy.ending + "." + _end
    # else:
    #     jump scene_last

label battle_clean_up:
    hide enemy_healthy_chaste
    hide enemy_healthy_lusty
    hide enemy_hurt_chaste
    hide enemy_hurt_lusty

    $ enemy_skill = None
    $ selected_skill = None
    $ pc.endCombatBuffs()

    if pc.hp <= 0:
        # $ pc.hp = int(pc.max_hp/8)
        # $ pc.libido = int(pc.max_libido/2)

        # Lose Items #
        $ removeItemsAfterDefeat(int(pc.level/3)+1)

        $ _s = str(last_checkpoint)
        jump expression _s
    else:
        jump scene_last

label scene_last:
    # Jumps the player to the last scene
    # Use after battles, inventory access, or map access
    # ""
    $ _s = map_point._scene
    if last_scene == None:
        if 8 < calendar[3] < 20:
            show expression map_point.bg_day with dissolve
        else:
            show expression map_point.bg_night with dissolve
    else:
        $ _s = str(last_scene)
        $ last_scene = None

    # show screen clock()
    # with moveinleft
    # $ accessInventory = True
    # $ accessMap = True
    # show screen menubar(False,accessInventory,accessMap,False)
    # with moveinright

    jump expression _s

label scene_scavenge_begin:
    if 8 < calendar[3] < 20:
        show expression map_point.bg_day# with dissolve
    else:
        show expression map_point.bg_night# with dissolve

    # show screen clock with None
    # hide screen menubar with moveoutright

    # Determine Scavenge Event
    # First check hostility and see if there is a combat encounter
    # If not compile a list of scavenge events and pick one at random based on weight
    # To check for hostility roll 2d6 any roll equal to or less then the locations hostility results in a hostile encounter
    # Hostile Encounter
    python:
        global map_point
        __temp = map_point._scene
        if standd6.roll()[0] + standd6.roll()[0] <= map_point.hostility:
            _temp_list = []
            _i = 0
            # Loop through encounter list
            for _i in map_point.encounter:
                # Check if scavenge event matches current requirements
                if True: # (_i[2] == "any" or _i[2] == store.weather) and _i[4] < store.calendar[3] < _i[5]:
                    _o = 0
                    # Add scavenge event a number of times equal to it's weight
                    for _o in range(0,_i[1]):
                        _temp_list.append(_i[0])

            if len(_temp_list) > 0:
                _i = renpy.random.randint(0,len(_temp_list)-1)
                __temp = _temp_list[_i]
            else:
                __temp = map_point._scene
        # Scavange Encounter
        else:
            _temp_list = []
            _i = 0
            # Loop through scavenge list
            for _i in map_point.scavenge:
                # Check if scavenge event matches current requirements
                if True: # (_i[2] == "any" or _i[2] == store.weather) and _i[4] < store.calendar[3] < _i[5]:
                    _o = 0
                    # Add scavenge event a number of times equal to it's weight
                    for _o in range(0,_i[1]):
                        _temp_list.append(_i[0])

            if len(_temp_list) > 0:
                _i = renpy.random.randint(0,len(_temp_list)-1)
                __temp = _temp_list[_i]
            else:
                __temp = "scene_last"


    jump expression __temp

label scene_explore_begin:
    if 8 < calendar[3] < 20:
        show expression map_point.bg_day# with dissolve
    else:
        show expression map_point.bg_night# with dissolve

    # show screen clock with None
    # hide screen menubar with moveoutright

    # Determine Scavenge Event
    # First check hostility and see if there is a combat encounter
    # If not compile a list of scavenge events and pick one at random based on weight
    # To check for hostility roll 2d6 any roll equal to or less then the locations hostility results in a hostile encounter
    # Hostile Encounter
    python:
        global map_point
        __temp = map_point._scene
        if standd6.roll()[0] + standd6.roll()[0] <= map_point.hostility:
            _temp_list = []
            _i = 0
            # Loop through encounter list
            for _i in map_point.encounter:
                # Check if scavenge event matches current requirements
                if True: # (_i[2] == "any" or _i[2] == store.weather) and _i[4] < store.calendar[3] < _i[5]:
                    _o = 0
                    # Add scavenge event a number of times equal to it's weight
                    for _o in range(0,_i[1]):
                        _temp_list.append(_i[0])

            if len(_temp_list) > 0:
                _i = renpy.random.randint(0,len(_temp_list)-1)
                __temp = _temp_list[_i]
            else:
                __temp = map_point._scene
        # Scavange Encounter
        else:
            _temp_list = []
            _i = 0
            # Loop through scavenge list
            for _i in map_point.explore:
                # Check if scavenge event matches current requirements
                if True: # (_i[2] == "any" or _i[2] == store.weather) and _i[4] < store.calendar[3] < _i[5]:
                    _o = 0
                    # Add scavenge event a number of times equal to it's weight
                    for _o in range(0,_i[1]):
                        _temp_list.append(_i[0])

            if len(_temp_list) > 0:
                _i = renpy.random.randint(0,len(_temp_list)-1)
                __temp = _temp_list[_i]
            else:
                __temp = "scene_last"

    jump expression __temp


#
