
screen skill_screen():
    modal True
    zorder 100
    add "#000"
    add "gui/frames/skill_frame.png" pos(0.0,0.0) anchor(0.0,0.0)

    # WRITE BUFFS
    vbox:
        pos (32,128)
        for _i, _k in pc.buff.items():
            if _k[0]:
                text _i + " [_k[1]]"  color "#707070" align(0.0,0.0) size 16
            else:
                text _i  color "#707070" align(0.0,0.0) size 16

    fixed:
        pos (909,8)
        xysize (355,80)
        imagebutton auto "gui/button/exitbutton_%s.png" action [Return(True)] area (279,0,80,80) anchor (0.5,0.5) focus_mask "gui/button/button_mask.png"
    #  Basic Info *************
    vbox:
        pos (270,36)
        text "Name- " color "#707070" align(0.0,0.0) size 16
        text "Level-" color "#707070" align(0.0,0.0) size 16
        text "Health-" color "#707070" align(0.0,0.0) size 16
        text "Libido-" color "#707070" align(0.0,0.0) size 16
    vbox:
        pos (366,36)
        text pc.profile['Name'] color "#707070" align(1.0,0.0) size 16
        text "[pc.level]" color "#707070" align(1.0,0.0) size 16
        text "[pc.hp] / [pc.max_hp]" color "#707070" align(1.0,0.0) size 16
        text "[pc.libido] / [pc.max_libido]" color "#707070" align(1.0,0.0) size 16
    #  Profile Info ************
    vbox:
        pos (436,36)
        text "Race-" color "#707070" align(0.0,0.0) size 16
        text "Gender-" color "#707070" align(0.0,0.0) size 16
        text "Height-" color "#707070" align(0.0,0.0) size 16
        text "Weight-" color "#707070" align(0.0,0.0) size 16
    vbox:
        pos (510,36)
        text pc.profile['Race'] color "#707070" align(1.0,0.0) size 16
        text pc.profile['Gender'] color "#707070" align(1.0,0.0) size 16
        $ _hei = str(pc_appearance['Height'] + pc_appearance['Overheight'])
        $ _wei = str(pc_appearance['Weight'] + (pc_appearance['Overweight'] * pc_appearance['Overheight']))
        text _hei + " Inches" color "#707070" align(1.0,0.0) size 16
        text _wei + " Lbs" color "#707070" align(1.0,0.0) size 16


    text "COMB" color "#707070" anchor(0.5,0.0) size 16 pos (340,132)
    text "SURV" color "#707070" anchor(0.5,0.0) size 16 pos (408,132)
    text "ACUM" color "#707070" anchor(0.5,0.0) size 16 pos (476,132)
    text "GLAM" color "#707070" anchor(0.5,0.0) size 16 pos (544,132)

    text "BAS" color "#707070" anchor(0.0,0.0) size 16 pos (270,158)
    text "ATK" color "#707070" anchor(0.0,0.0) size 16 pos (270,184)
    text "DEF" color "#707070" anchor(0.0,0.0) size 16 pos (270,210)

    text "[pc.combat]" color "#707070" anchor(0.5,0.0) size 16 pos (340,158)
    text "[pc.survival]" color "#707070" anchor(0.5,0.0) size 16 pos (408,158)
    text "[pc.acumen]" color "#707070" anchor(0.5,0.0) size 16 pos (476,158)
    text "[pc.glamour]" color "#707070" anchor(0.5,0.0) size 16 pos (544,158)

    $ _i = str(pc.get_combat_attack() + pc.combat)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (340,184)
    $ _i = str(pc.get_survival_attack() + pc.survival)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (408,184)
    $ _i = str(pc.get_acumen_attack() + pc.acumen)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (476,184)
    $ _i = str(pc.get_glamour_attack() + pc.glamour)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (544,184)

    $ _i = str(pc.get_combat_defense() + pc.combat)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (340,210)
    $ _i = str(pc.get_survival_defense() + pc.survival)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (408,210)
    $ _i = str(pc.get_acumen_defense() + pc.acumen)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (476,210)
    $ _i = str(pc.get_glamour_defense() + pc.glamour)
    text "[_i]" color "#707070" anchor(0.5,0.0) size 16 pos (544,210)


    # Draw Skills
    $ i = 0
    for i in range(2):
        $ o = 0
        for o in range(3):

            # minimum (62,72)
            # maximum (62,72)
            if pc.skills[o + (i * 3)] != None:
                imagebutton:
                    pos (752 + (o * 64),242 + (i * 72))
                    # Draw skill icons
                    # ADD STAMINA CHECK
                    if selected_skill == o + (i * 3):
                        idle pc.skills[o + (i * 3)].img + "_color.jpg"
                        action SetVariable("selected_skill",None)
                    else:
                        idle pc.skills[o + (i * 3)].img + "_gray.jpg"
                        hover pc.skills[o + (i * 3)].img + "_white.jpg"
                        action SetVariable("selected_skill",o + (i * 3))
            else:
                imagebutton:
                    pos (743 + (o * 64),224 + (i * 72))
                    if selected_skill == o + (i * 3):
                        idle "gui/frames/action_border_selected.png"
                    else:
                        idle "gui/frames/action_border_idle.png"
                    if selected_skill != o + (i * 3):
                        action SetVariable("selected_skill",o + (i * 3))
                    else:
                        action SetVariable("selected_skill",None)

            if pc.skills[o + (i * 3)] != None:
                if pc.skills[o + (i * 3)].stam > 0:
                    if selected_skill == o + (i * 3):
                        add "gui/frames/action_border_" + str(pc.skills[o + (i * 3)].stam) + "stam_selected.png" pos (743 + (o * 64),224 + (i * 72))
                    else:
                        add "gui/frames/action_border_" + str(pc.skills[o + (i * 3)].stam) + "stam_idle.png" pos (743 + (o * 64),224 + (i * 72))
                else:
                    if selected_skill == o + (i * 3):
                        add "gui/frames/action_border_selected.png" pos (743 + (o * 64),224 + (i * 72))
                    else:
                        add "gui/frames/action_border_idle.png" pos (743 + (o * 64),224 + (i * 72))

    # Draw Confirm Button
    # First check if selected_skill and selected_item are not None
    # If not check if selected_skill and selected_item are not the same
    # Check if the player already knows the selected_item skill
    if selected_item != None and selected_skill != None:
        if pc_skills[selected_item][0] != pc.skills[selected_skill]:
            if not pc.knows_skill(pc_skills[selected_item][0]):
                imagebutton:
                    pos (976,298)
                    anchor (0.5,0.5)
                    idle "gui/button/replace_gray.png"
                    hover "gui/button/replace_color.png"
                    action [
                        Function(pc.set_skill,pc_skills[selected_item][0],selected_skill),
                        # SetVariable("selected_item",None),
                        SetVariable("selected_skill",None)]
    # Draw Remove Button
    # Check if selected_skill is not None
    if selected_skill != None:
        if pc.skills[selected_skill] != None:
            imagebutton:
                pos (688,298)
                anchor (0.5,0.5)
                idle "gui/button/remove_gray.png"
                hover "gui/button/remove_color.png"
                action [
                    Function(pc.set_skill,None,selected_skill),
                    # SetVariable("selected_item",None),
                    SetVariable("selected_skill",None)]

    # DRAW SKILL INFO
    frame:
        xpos 660
        ypos 40
        xysize (345,165)
        background None
        # If no selected_item prioritize selected_skill
        # Otherwise choose selected_item
        if selected_item != None:
            vbox:
                # spacing 8
                hbox:
                    spacing 8
                    add pc_skills[selected_item][0].img + "_color.jpg"
                    vbox:
                        text "{b}" + pc_skills[selected_item][0].name + "{/b}" color "#707070" align(0.0,0.0) size 18
                        if pc_skills[selected_item][0].star == star.crown:
                            text "Crown // " + pc_skills[selected_item][0].type color "#707070" align(0.0,0.0) size 12
                        elif pc_skills[selected_item][0].star == star.wand:
                            text "Wand // " + pc_skills[selected_item][0].type color "#707070" align(0.0,0.0) size 12
                        elif pc_skills[selected_item][0].star == star.chalice:
                            text "Chalice // " + pc_skills[selected_item][0].type color "#707070" align(0.0,0.0) size 12
                        else:
                            text "Sword // " + pc_skills[selected_item][0].type color "#707070" align(0.0,0.0) size 12

                hbox:
                    spacing 16
                    text "Init - " + str(pc_skills[selected_item][0].initiative) color "#707070" align(0.0,0.0) size 14
                    text "Dmg  - " + str(pc_skills[selected_item][0].dmg) color "#707070" align(0.0,0.0) size 14
                    text "Acc  - " + str(pc_skills[selected_item][0].acc) color "#707070" align(0.0,0.0) size 14
                text pc_skills[selected_item][0].description color "#707070" align(0.0,0.0) size 16

        elif selected_skill != None:
            if pc.skills[selected_skill] != None:
                vbox:
                    # spacing 8
                    hbox:
                        spacing 8
                        add pc.skills[selected_skill].img + "_color.jpg"
                        vbox:
                            text "{b}" + pc.skills[selected_skill].name + "{/b}" color "#707070" align(0.0,0.0) size 18
                            if pc.skills[selected_skill].star == star.crown:
                                text "Crown // " + pc.skills[selected_skill].type color "#707070" align(0.0,0.0) size 12
                            elif pc.skills[selected_skill].star == star.wand:
                                text "Wand // " + pc.skills[selected_skill].type color "#707070" align(0.0,0.0) size 12
                            elif pc.skills[selected_skill].star == star.chalice:
                                text "Chalice // " + pc.skills[selected_skill].type color "#707070" align(0.0,0.0) size 12
                            else:
                                text "Sword // " + pc.skills[selected_skill].type color "#707070" align(0.0,0.0) size 12

                    hbox:
                        spacing 16
                        text "Init - " + str(pc.skills[selected_skill].initiative) color "#707070" align(0.0,0.0) size 14
                        text "Dmg  - " + str(pc.skills[selected_skill].dmg) color "#707070" align(0.0,0.0) size 14
                        text "Acc  - " + str(pc.skills[selected_skill].acc) color "#707070" align(0.0,0.0) size 14
                    text pc.skills[selected_skill].description color "#707070" align(0.0,0.0) size 16
    # Skill List ************
    frame:
        xpos 650
        ypos 388
        xysize (400,300)
        background None
        side "l":
            area (24,0,400,316)
            vpgrid id "skill_scroller":
                cols 5
                spacing 4
                draggable True
                mousewheel True

                side_xalign 0.5

                for _i in range(len(pc_skills)):
                    $ _sk = pc_skills[_i][0]
                    # Is the skill known?
                    $ _ac = pc_skills[_i][1]
                    # If skill is known, check if it can be used with player's body
                    if _ac:
                        $ _ac = can_player_use_skill(_sk)

                    fixed:
                        xysize (63,72)

                        if _ac:
                            if selected_item == _i:
                                imagebutton:
                                    idle _sk.img + "_color.jpg"
                                    pos (6,16)
                                    action SetVariable("selected_item",None)
                            else:
                                imagebutton:
                                    idle _sk.img + "_white.jpg"
                                    hover _sk.img + "_color.jpg"
                                    pos (6,16)
                                    action SetVariable("selected_item",_i)
                        else:
                            if selected_item == _i:
                                imagebutton:
                                    idle _sk.img + "_gray.jpg"
                                    pos (6,16)
                                    action SetVariable("selected_item",None)
                            else:
                                imagebutton:
                                    idle _sk.img + "_gray.jpg"
                                    pos (6,16)
                                    action SetVariable("selected_item",_i)

                        if _sk.stam > 0:
                            if selected_item == _i:
                                add "gui/frames/action_border_" + str(_sk.stam) + "stam_selected.png" # pos (743 + (o * 64),224 + (i * 72))
                            else:
                                add "gui/frames/action_border_" + str(_sk.stam) + "stam_idle.png" # pos (743 + (o * 64),224 + (i * 72))
                        else:
                            if selected_item == _i:
                                add "gui/frames/action_border_selected.png" # pos (743 + (o * 64),224 + (i * 72))
                            else:
                                add "gui/frames/action_border_idle.png" # pos (743 + (o * 64),224 + (i * 72))
        vbar value YScrollValue ("skill_scroller")
